﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            HP 8568B: (6 mo) VER /9640,4418,HFSG,LFCTR
DATE:                  2009-04-24
AUTHOR:                Fluke
REVISION:              $Revision: 18047 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       537
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8482A on channel 1
CONFIGURATION:         HF Signal Generator
CONFIGURATION:         LF Counter
=============================================================================
#
#  Procedure Author:
#        DFM
# 
#  Source(s):
#        Performance Tests and Adjustment Manual, HP 8568B Spectrum Analyzer,
#        HP Part No. 08568-90115, June 1993
# 
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
# 
#  Additional Equipment Required:
#        Frequency Standard, suitable for use with configured LF counter,
#         ±0.025 ppm or better
#        Power Splitter, 1 - 1500 MHz, Output Tracking <0.2 dB; Agilent
#         11667A or equivalent
#        Termination, Type N (m), 50 Ohms, DC - 3 GHz; Agilent 909C or
#         equivalent
#        Filter, Low Pass, 300 MHz; Agilent 0955-0455 or equivalent
#        Adapter, Precision, Type N (f) to BNC (m), 50 Ohms; Agilent 1250-1477
#         or equivalent
#        Cable Assy., 36", 50 Ohms, BNC (m)-(m), 3 ea.; Pomona Model 2249-C-36
#          or equivalent
#        Cable Assy., 12", BNC (m)-(m), 50 Ohm, DC to 20 MHz; Pomona Model
#          2249-C-12 or equivalent
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P             A        W
  1.002  ASK+           K

  1.003  IF           0
  1.004  9640         Reset
  1.005  IEEE         [@HFSG]
  1.005  IEEE         [@LFCTR]
  1.006  ENDIF

  1.007  CALL         Sub Display Copyright

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Prior to energizing the UUT, ensure the J1 and J2
  1.015  DISP         interconnect cables (on rear) between the SPECTRUM
  1.015  DISP         ANALYZER DISPLAY and the 8568B SPECTRUM ANALYZER
  1.015  DISP         (RF section) are secured.

  1.016  DISP         Prior to beginning verification, a UUT warm-up time
  1.016  DISP         of 30 minutes (minimum) must have been allowed to
  1.016  DISP         elapse.
  1.016  DISP
  1.016  DISP         Additionally, the UUT must have acclimated to the
  1.016  DISP         ambient conditions of the test environment for at
  1.016  DISP         least two hours.
  1.016  DISP
  1.016  DISP         Ensure specified warm-up time(s) for all required
  1.016  DISP         reference devices has been satisfied.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.017  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.018  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.019  DISP         The file parameter setting is: "acc_check=no"
  1.019  DISP
  1.019  DISP         For correct procedure execution, this parameter
  1.019  DISP         MUST be set to: "acc_check=yes"
  1.019  DISP
  1.019  DISP         Select "Advance" to terminate the procedure, exit
  1.019  DISP         MET/CAL®, change the initialization file parameter,
  1.019  DISP         restart MET/CAL, then restart the procedure.
  1.020  END
  1.021  ENDIF

  1.022  CALL         Sub UUT Connection GPIB

  1.023  IEEE         IP;
# Reset statement for UUT, clearing UUT status register.
  1.024  RESET        [SPL]

  1.025  RSLT         =
  1.026  HEAD         {IDENTIFICATION}
  1.027  IEEE         ID?;[I$]
  1.028  MATH         @Manufacturer = SUB(MEM2, 1, 2)
  1.029  MATH         @ModelNum = SUB(MEM2, 3, 5)

# Make sure correct UUT is connected.
  1.030  IF           NOT(ZCMPI(@ModelNum, "8568B"))
  1.031  HEAD         INCORRECT UUT/PROCEDURE SELECTION!
  1.032  DISP         The UUT and the selected procedure do not match!
  1.032  DISP
  1.032  DISP         The UUT is a [V @Manufacturer] [V @ModelNum] and the
  1.032  DISP         procedure is for an HP 8568B.
  1.032  DISP
  1.032  DISP         Please select "Advance" to terminate and select
  1.032  DISP         the proper procedure.
  1.033  END
  1.034  ENDIF

  1.035  IEEE         REV?;[I$]

  1.036  DISP         Manufacturer:    [V @Manufacturer]
  1.036  DISP         Model:           [V @ModelNum]
  1.036  DISP         Firmware Level:  [MEM2]

  1.037  RSLT         = Firmware Level:  [MEM2]

  1.038  HEAD         PROCEDURE DESCRIPTION
  1.039  DISP         This procedure does not support the following tests
  1.039  DISP         associated with the HP 8568B options listed below:
  1.039  DISP
  1.039  DISP         Option 462
  1.039  DISP         - Impulse and Resolution Bandwidth Accuracy Test
  1.039  DISP         - Impulse and Resolution Bandwidth Selectivity Test
  1.039  DISP         - Impulse and Resolution Bandwidth Switching Uncertainty
  1.039  DISP         [32] Test
  1.039  DISP
  1.039  DISP         Option 857
  1.039  DISP         - Amplitude Fidelity Test

  1.040  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.041  CALL         Sub Select Failed Test Mode
  1.042  CALL         Sub Select Verification Method

  1.043  HEAD         CONNECTION INFORMATION
  1.044  OPBR         -z Do you wish to review connector information and
  1.044  OPBR         precautions for the various types of connections
  1.044  OPBR         employed throughout this procedure?
  1.044  OPBR         [NO]

  1.045  IF           MEM1
  1.046  CALL         Sub Connector Precautions (Type N)
  1.047  ENDIF

  1.048  CALL         Sub Initialize /HFSG
  1.049  CALL         Sub Initialize /LFCTR

# Look up instrument name of configured external frequency reference.
  1.050  MATH         @FreqRef = INI("startup", "FreqRefDevName")

  1.051  IF           EMPTY(@FreqRef)
  1.052  DISP         No Frequency Reference is currently configured.
  1.052  DISP
  1.052  DISP         Select Configure=>Instrument and ensure that the device
  1.052  DISP         you intend to use as the frequency reference is
  1.052  DISP         configured.
  1.052  DISP
  1.052  DISP         Then select Configure=>Frequency Reference, and select
  1.052  DISP         that device.
  1.053  END
  1.054  ENDIF

# Retrieve accuracy of configured external frequency reference (for 10 MHz).
  1.055  MATH         L[1] = (ACCV(@FreqRef, "Timebase", 10E+6)) / 10E+6
# Convert specified configured frequency reference accuracy to ppm.
  1.056  MATH         FreqRefAcc = L[1] * 1E+6
# Required timebase uncertainty (in ppm).
  1.057  MATH         FreqAcc = 0.0625

  1.058  HEAD         EQUIPMENT REQUIREMENTS
  1.059  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.059  OPBR         additional equipment and/or accessories required?

  1.060  IF           MEM1
  1.061  HEAD         FLEXIBLE STANDARDS
  1.062  MATH         Ch = @LFCTR_Ch1
  1.063  DISP         The minimum use specifications of the following devices,
  1.063  DISP         configured as flexible standards, must be satisfied.
  1.063  DISP
  1.063  DISP         [32]NOMENCLATURE        ALIAS  DEVICE NAME
  1.063  DISP
  1.063  DISP         [32]HF Signal Generator HFSG   [V @HFSG_DevName]
  1.063  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V Ch]

  1.064  HEAD         -2 LF Counter (LFCTR)
  1.065  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.065  OPBR
  1.065  OPBR         Minimum Use Specifications:
  1.065  OPBR         [32] Ch. A Frequency Range: 10 MHz
  1.065  OPBR         [32]   Accuracy: Based on external frequency reference
  1.065  OPBR
  1.065  OPBR         [32] (External frequency reference must be configured)
  1.065  OPBR
  1.065  OPBR         [32] Time Interval Range: 20 ms to 50 s
  1.065  OPBR         [32]   Accuracy: ±2.5% or better (internal reference)
  1.065  OPBR
  1.065  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.065  OPBR         Use Specifications?
  1.066  MATH         LFCTR = MEM1

  1.067  HEAD         -2 HF Signal Generator (HFSG)
  1.068  OPBR         -z HFSG: [V @HFSG_DevName]
  1.068  OPBR
  1.068  OPBR         Minimum Use Specifications:
  1.068  OPBR         [32] Frequency Range: 30 MHz, CW
  1.068  OPBR         [32]   Accuracy: ±0.02% (Internal)
  1.068  OPBR
  1.068  OPBR         [32] Amplitude Range: -35 to -10 dBm
  1.068  OPBR         [32]   Accuracy: ±1 dB or less
  1.068  OPBR         [32]   Resolution: 0.1 dB
  1.068  OPBR
  1.068  OPBR         [32] SSB Phase Noise (at 30 MHz):
  1.068  OPBR         [32]   <-118 dBc/Hz @ 10 kHz offset
  1.068  OPBR         [32]   <-124 dBc/Hz @ 1 MHz offset
  1.068  OPBR
  1.068  OPBR         Does the [V @HFSG_DevName] satisfy the above Minimum
  1.068  OPBR         Use Specifications?
  1.069  MATH         HFSG = MEM1

  1.070  IF           NOT(LFCTR)
  1.071  DISP         Configured [V @LFCTR_DevName] LF Counter (LFCTR) does
  1.071  DISP         not satisfy the Minimum Use Specifications.
  1.072  ENDIF

  1.073  IF           NOT(HFSG)
  1.074  DISP         Configured [V @HFSG_DevName] HF Signal Generator (HFSG)
  1.074  DISP         does not satisfy the Minimum Use Specifications.
  1.075  ENDIF

  1.076  IF           (FreqAcc <= FreqRefAcc)
  1.077  DISP         A frequency reference having an aging rate of
  1.077  DISP         [V FreqAcc] ppm/year or better is required to perform
  1.077  DISP         this verification.
  1.077  DISP
  1.077  DISP         The currently configured Frequency Reference is:
  1.077  DISP
  1.077  DISP         [32] Mfr./Model: [V @FreqRef]
  1.077  DISP         [32] Aging Rate: [V FreqRefAcc] ppm/year
  1.077  DISP
  1.077  DISP         The aging rate of the configured frequency reference is
  1.077  DISP         insufficient to perform the required test(s).
  1.077  DISP
  1.077  DISP         Select "Advance" to terminate this procedure, configure
  1.077  DISP         a Frequency Reference having an aging rate equal to or
  1.077  DISP         better than that required, then restart this procedure.
  1.078  END
  1.079  ENDIF

  1.080  IF           NOT(HFSG) || NOT(LFCTR)
  1.081  DISP         Procedure aborted.
  1.082  END
  1.083  ENDIF

  1.084  DISP         Additional equipment/accessories required:
  1.084  DISP
  1.084  DISP         - Power Splitter, 1 - 1.5 GHz, Output Tracking: <0.2 dB;
  1.084  DISP         [32] Agilent 11667A or equivalent
  1.084  DISP         - Termination, Type N (m), 50 Ohms, DC - 3 GHz; Agilent
  1.084  DISP         [32] 909C or equivalent
  1.084  DISP         - Low Pass Filter, Cutoff Frequency: 300 MHz; Agilent
  1.084  DISP         [32] 0955-0455 or equivalent
  1.084  DISP         - Adapter, Precision, Type N (f) to BNC (m), 50 Ohms;
  1.084  DISP         [32] Agilent 1250-1477 or equivalent
  1.084  DISP         - Cable, Coaxial, 24", Type N (m)-(m), 50 Ohms; Agilent
  1.084  DISP         [32] 11500B or equivalent
  1.084  DISP         - Cable Assy., 36", 50 Ohms, BNC (m)-(m), 3 ea.; Pomona
  1.084  DISP         [32] Model 2249-C-36 or equivalent
  1.084  DISP         - Cable Assy., 12", BNC (m)-(m), 50 Ohm, DC to 20 MHz;
  1.084  DISP         [32] Pomona Model 2249-C-12 or equivalent
  1.085  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# HP 8568B
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  --------------------------------
#    1.   FREQUENCY READOUT ACCURACY         RESOLUTION BANDWIDTH ACCURACY
#    2.   FREQUENCY SPAN READOUT             RESOLUTION BANDWIDTH SELECTIVITY
#    3.   SWEEP TIME ACCURACY                RESOLUTION BANDWIDTH SWITCHING
#    4.   RESOLUTION BANDWIDTH ACCURACY      RF GAIN
#    5.   RESOLUTION BANDWIDTH SELECTIVITY   LOG SWITCHING ACCURACY
#    6.   RESOLUTION BANDWIDTH SWITCHING     LINE-RELATED SIDEBANDS
#    7.   INPUT ATTENUATOR SWITCHING         RESIDUAL FM
#    8.   FREQUENCY RESPONSE (Inputs 1 & 2)  DISPLAYED AVERAGE NOISE LEVEL
#    9.   RF GAIN                            RESIDUAL RESPONSES
#   10.   IF GAIN                            FREQUENCY READOUT ACCURACY
#   11.   LOG SWITCHING ACCURACY             FREQUENCY SPAN READOUT
#   12.   AMPLITUDE FIDELITY                 INPUT ATTENUATOR SWITCHING
#   13.   DISPLAYED AVERAGE NOISE LEVEL      IF GAIN
#   14.   RESIDUAL RESPONSES                 AMPLITUDE FIDELITY
#   15.   SPURIOUS RESPONSES                 FAST SWEEP TIME ACCURACY
#   16.   RESIDUAL FM                        FREQUENCY RESPONSE
#   17.   LINE-RELATED SIDEBANDS             SPURIOUS RESPONSES
#   18.   CALIBRATOR OUTPUT ACCURACY         SWEEP TIME ACCURACY
#   19.   FAST SWEEP TIME ACCURACY           REFERENCE FREQUENCY ACCURACY
#   20    1st LO OUTPUT ACCURACY             CALIBRATOR OUTPUT ACCURACY
#   21.   REFERENCE FREQUENCY ACCURACY       1st LO OUTPUT ACCURACY

  1.086  HEAD         FREQUENCY REFERENCE CONNECTIONS
  1.087  DISP         Make the following connections:
  1.087  DISP
  1.087  DISP         [V @FreqRef] 10 MHz OUT to [V @LFCTR_DevName]
  1.087  DISP         [V @LFCTR_RefIn].
  1.087  DISP
  1.087  DISP         [V @FreqRef] 10 MHz OUT to [V @HFSG_DevName]
  1.087  DISP         [V @HFSG_RefIn].
  1.087  DISP
  1.087  DISP         UUT 10 MHz REF OUT to 9640A REF FREQUENCY IN (rear
  1.087  DISP         panel).

  1.088  HEAD         HP 8568B MANUAL CALIBRATION
  1.089  PIC          8568_input_2_cal.jpg
  1.090  CALL         Sub HP 8566B/68B Manual Calibration (All)

  1.091  DISP         The next routine operator intervention occurs
  1.091  DISP         in approximately 13½ minutes...

  1.092  JMPL         RESOLUTION_BANDWIDTH

  1.093  LABEL        FREQUENCY_READOUT
  1.094  CALL         Sub HP 8568B (6 mo) Frequency Readout VER /9640
  1.095  CALL         Sub HP 8568B (6 mo) Frequency Span VER /9640
  1.096  JMPL         INPUT_SWITCHING

  1.097  LABEL        SWEEP_TIME
  1.098  CALL         Sub HP 8566B/68B (6 mo) Sweep Time VER /LFCTR
  1.099  JMPL         FREQ_REFERENCE

  1.100  LABEL        RESOLUTION_BANDWIDTH
  1.101  CALL         Sub HP 8566B/68B (6 mo) Resolution Bandwidth VER
  1.102  CALL         Sub HP 8566B/68B (6 mo) RBW Selectivity VER
  1.103  CALL         Sub HP 8566B/68B (6 mo) RBW Switching Uncertainty VER
  1.104  JMPL         RF_GAIN

  1.105  LABEL        INPUT_SWITCHING
  1.106  CALL         Sub HP 8568B (6 mo) Input Atten Switching VER /9640
  1.107  JMPL         IF_GAIN

  1.108  LABEL        FREQUENCY_RESPONSE_INPUT_1
  1.109  MATH         @Input2 = 0
  1.110  CALL         Sub HP 8568B (6 mo) Frequency Response VER /9640
  1.111  JMPL         SPURIOUS

  1.112  LABEL        FREQUENCY_RESPONSE_INPUT_2
  1.113  MATH         @Input2 = 1
  1.114  CALL         Sub HP 8568B (6 mo) Frequency Response VER /9640
  1.115  JMPL         FAST_SWEEP_TIME

  1.116  LABEL        RF_GAIN
  1.117  CALL         Sub HP 8568B (6 mo) RF Gain Uncertainty VER
  1.118  JMPL         LOG_SWITCHING

  1.119  LABEL        IF_GAIN
  1.120  CALL         Sub HP 8566B/68B (6 mo) IF Gain Uncertainty VER /9640
  1.121  JMPL         AMPLITUDE_FIDELITY

  1.122  LABEL        LOG_SWITCHING
  1.123  CALL         Sub HP 8568B (6 mo) Log Switching Uncertainty VER
  1.124  JMPL         RESIDUAL_FM

  1.125  LABEL        AMPLITUDE_FIDELITY
  1.126  CALL         Sub HP 8566B/68B (6 mo) Amplitude Fidelity VER /9640
  1.127  JMPL         FREQUENCY_RESPONSE_INPUT_2

  1.128  LABEL        AVERAGE_NOISE
  1.129  CALL         Sub HP 8566B/68B Manual Calibration (Gain)
  1.130  CALL         Sub HP 8568B (6 mo) Average Noise Level VER
  1.131  CALL         Sub HP 8568B (6 mo) Residual Responses VER
  1.132  JMPL         FREQUENCY_READOUT

  1.133  LABEL        SPURIOUS
  1.134  CALL         Sub HP 8568B (6 mo) Harmonic Distortion VER /9640
  1.135  CALL         Sub HP 8568B (6 mo) Intermod Distortion VER /9640,HFSG
  1.136  JMPL         SWEEP_TIME

  1.137  LABEL        RESIDUAL_FM
  1.138  CALL         Sub HP 8568B (6 mo) Residual FM VER
  1.139  CALL         Sub HP 8568B (6 mo) Line-Related Sidebands VER
  1.140  JMPL         AVERAGE_NOISE

  1.141  LABEL        CAL_OUTPUT
  1.142  HEAD         8482A POWER SENSOR ZERO and CAL
  1.143  DISP         Connect the HP/Agilent 8482A Power Sensor to the E4418B.
  1.143  DISP
  1.143  DISP         Connect the 8482A Power Sensor input to the E4418B
  1.143  DISP         POWER REF connector.

  1.144  M4418  F32   8482A
  1.145  4418         1mW                          50MH              CP N  CH1

  1.146  CALL         Sub HP 8568B (6 mo) Cal Output Accuracy VER /4418
  1.147  JMPL         LO_OUTPUT

  1.148  LABEL        FAST_SWEEP_TIME
  1.149  CALL         Sub HP 8566B/68B (6 mo) Fast Sweep Time VER /9640
  1.150  JMPL         FREQUENCY_RESPONSE_INPUT_1

  1.151  LABEL        LO_OUTPUT
  1.152  CALL         Sub HP 8568B (6 mo) 1st LO Output VER /4418
  1.153  JMPL         END

  1.154  LABEL        FREQ_REFERENCE
  1.155  CALL         Sub HP 8566B/68B (6 mo) Freq Reference VER /LFCTR,X
  1.156  JMPL         CAL_OUTPUT

  1.157  LABEL        END
  1.158  END
