﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8566B/68B (6 mo) IF Gain Uncertainty VER /9640
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Amplitude Fidelity VER /9640
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Fast Sweep Time VER /9640
DATE:                  2009-04-30
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       24
NUMBER OF LINES:       699
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8566B, 8568B
#
#  Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
#        Sub HP 8566B/68B Take Sweep (MKPK)
#
#  Required Files:
#        9640.acc, Revision 1.4 or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         IF_GAIN                      PSUBI("IF Gain")
  1.002  JMPL         SCALE_FIDELITY               PSUBI("Fidelity")
  1.003  JMPL         FAST_SWEEP                   PSUBI("Fast Sweep")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

  1.006  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) IF Gain Uncertainty VER /9640 =============
#
#  Local Numeric Variable Usage:
#        L[11] - L[29] : IF Gain offsets from set reference level.
#
  2.001  LABEL        IF_GAIN

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT RF INPUT (INPUT 2, in the case of the 8568B)...

  2.002  RSLT         =
  2.003  HEAD         {IF GAIN UNCERTAINTY TEST}
  2.004  RSLT         =
  2.005  HEAD         -2 {0 to -55.9 dBm, RBW >= 30 Hz}
  2.006  TARGET       -p
  2.007  TSET         TDESC = Sum, Positive Deviations
  2.008  IEEE         IP;SNGLS;
  2.009  IEEE         CF 20.001MZ;SP 2KZ;RL 0DM;
  2.010  9640         +Level = -2 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.011  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  2.012  IEEE         VB 100HZ;RB 1 KZ;LG 1DM;
  2.013  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.014  IEEE         MKD;KSI;

  2.015  HEAD         -2 Reference Level (10 dB Gain Steps): -10 dBm
  2.016  9640         +Level = -12 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.017  IEEE         RL -10DM;
  2.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.019  IEEE         MKA?;[I]
# Store reference level.
  2.020  MATH         L[11] = MEM

  2.021  HEAD         -2 Reference Level (10 dB Gain Steps): -20 dBm
# Change 9640A output to next level (-20 dBm).
  2.022  9640         +Level = -22 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.023  IEEE         RL -20DM;
  2.024  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.025  IEEE         MKA?;[I]
  2.026  MATH         L[12] = MEM

  2.027  HEAD         -2 Reference Level (10 dB Gain Steps): -30 dBm
  2.028  9640         +Level = -32 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.029  IEEE         RL -30DM;
  2.030  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.031  IEEE         MKA?;[I]
  2.032  MATH         L[13] = MEM

  2.033  HEAD         -2 Reference Level (10 dB Gain Steps): -40 dBm
  2.034  9640         +Level = -42 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.035  IEEE         RL -40DM;
  2.036  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.037  IEEE         MKA?;[I]
  2.038  MATH         L[14] = MEM

  2.039  HEAD         -2 Reference Level (10 dB Gain Steps): -50 dBm
  2.040  9640         +Level = -52 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.041  IEEE         RL -50DM;
  2.042  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.043  IEEE         MKA?;[I]
  2.044  MATH         L[15] = MEM

  2.045  HEAD         -2 Reference Level (10 dB Gain Steps): -60 dBm
  2.046  9640         +Level = -62 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.047  IEEE         VB 10HZ;RL -60DM;
  2.048  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.049  IEEE         MKA?;[I]
  2.050  MATH         L[16] = MEM

  2.051  HEAD         -2 Reference Level (10 dB Gain Steps): -70 dBm
  2.052  9640         +Level = -72 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.053  IEEE         RL -70DM;
  2.054  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.055  IEEE         MKA?;[I]
  2.056  MATH         L[17] = MEM

# Find largest positive difference ("A") in -10 through -70 dBm values.
  2.057  MATH         Pos_A = MAX_L(11, 17)
# Find largest negative difference ("A") in -10 through -70 dBm values.
  2.058  MATH         Neg_A = MIN_L(11, 17)

  2.059  HEAD         -2 Reference Level (10 dB Gain Steps): -80 dBm
# Uncouple step gain amplifiers from attenuators.
  2.060  IEEE         KSq;
  2.061  9640         +Level = -32 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.062  IEEE         VB 100HZ;RL -80DM;
  2.063  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.064  IEEE         MKA?;[I]
  2.065  MATH         L[18] = MEM

  2.066  HEAD         -2 Reference Level (10 dB Gain Steps): -90 dBm
  2.067  9640         +Level = -42 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.068  IEEE         RL -90DM;
  2.069  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.070  IEEE         MKA?;[I]
  2.071  MATH         L[19] = MEM

  2.072  HEAD         -2 Reference Level (10 dB Gain Steps): -100 dBm
  2.073  9640         +Level = -52 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.074  IEEE         VB 10HZ;RL -100DM;
  2.075  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.076  IEEE         MKA?;[I]
  2.077  MATH         L[20] = MEM

  2.078  HEAD         -2 Reference Level (10 dB Gain Steps): -110 dBm
  2.079  9640         +Level = -62 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.080  IEEE         RL -110DM;
  2.081  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.082  IEEE         MKA?;[I]
  2.083  MATH         L[21] = MEM

  2.084  HEAD         -2 Reference Level (10 dB Gain Steps): -120 dBm
  2.085  9640         +Level = -72 dBm; Freq = 20.001 MHz; OutputImp = 50 Ohms
  2.086  IEEE         RL -120DM;
  2.087  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.088  IEEE         MKA?;[I]
  2.089  MATH         L[22] = MEM

# Find largest positive difference ("B") in -80 through -120 dBm values.
  2.090  MATH         Pos_B = MAX_L(18, 22)
# Find largest negative difference ("B") in -80 through -120 dBm values.
  2.091  MATH         Neg_B = MIN_L(18, 22)

  2.092  HEAD         -2 Reference Level (2 dB Gain Steps): Reference
  2.093  IEEE         IP;RC 7;
  2.094  TARGET
  2.095  IEEE         RL -1.9DM;MKOFF;VB 100 HZ;
  2.096  9640         +Level = -3.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.097  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  2.098  IEEE         MKD;

  2.099  HEAD         -2 Reference Level (2 dB Gain Steps): -3.9 dBm
  2.100  9640         +Level = -5.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.101  IEEE         RL -3.9DM;
  2.102  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.103  IEEE         MKA?;[I]
  2.104  MATH         L[11] = MEM

  2.105  HEAD         -2 Reference Level (2 dB Gain Steps): -5.9 dBm
  2.106  9640         +Level = -7.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.107  IEEE         RL -5.9DM;
  2.108  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.109  IEEE         MKA?;[I]
  2.110  MATH         L[12] = MEM

  2.111  HEAD         -2 Reference Level (2 dB Gain Steps): -7.9 dBm
  2.112  9640         +Level = -9.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.113  IEEE         RL -7.9DM;
  2.114  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.115  IEEE         MKA?;[I]
  2.116  MATH         L[13] = MEM

  2.117  HEAD         -2 Reference Level (2 dB Gain Steps): -9.9 dBm
  2.118  9640         +Level = -11.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.119  IEEE         RL -9.9DM;
  2.120  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.121  IEEE         MKA?;[I]
  2.122  MATH         L[14] = MEM

# Find largest positive difference ("C") in -3.9 through -9.9 dBm values.
  2.123  MATH         Pos_C = MAX_L(11, 14)
# Find largest negative difference ("C") in -3.9 through -9.9 dBm values.
  2.124  MATH         Neg_C = MIN_L(11, 14)

  2.125  HEAD         -2 Reference Level (0.1 dB Gain Steps): Reference
  2.126  IEEE         RL 0DM;MKOFF;
  2.127  9640         +Level = -2.0 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.128  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  2.129  IEEE         MKD;

  2.130  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.1 dBm
  2.131  9640         +Level = -2.1 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.132  IEEE         RL -0.1DM;
  2.133  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.134  IEEE         MKA?;[I]
  2.135  MATH         L[11] = MEM

  2.136  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.2 dBm
  2.137  9640         +Level = -2.2 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.138  IEEE         RL -0.2DM;
  2.139  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.140  IEEE         MKA?;[I]
  2.141  MATH         L[12] = MEM

  2.142  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.3 dBm
  2.143  9640         +Level = -2.3 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.144  IEEE         RL -0.3DM;
  2.145  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.146  IEEE         MKA?;[I]
  2.147  MATH         L[13] = MEM

  2.148  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.4 dBm
  2.149  9640         +Level = -2.4 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.150  IEEE         RL -0.4DM;
  2.151  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.152  IEEE         MKA?;[I]
  2.153  MATH         L[14] = MEM

  2.154  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.5 dBm
  2.155  9640         +Level = -2.5 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.156  IEEE         RL -0.5DM;
  2.157  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.158  IEEE         MKA?;[I]
  2.159  MATH         L[15] = MEM

  2.160  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.6 dBm
  2.161  9640         +Level = -2.6 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.162  IEEE         RL -0.6DM;
  2.163  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.164  IEEE         MKA?;[I]
  2.165  MATH         L[16] = MEM

  2.166  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.7 dBm
  2.167  9640         +Level = -2.7 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.168  IEEE         RL -0.7DM;
  2.169  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.170  IEEE         MKA?;[I]
  2.171  MATH         L[17] = MEM

  2.172  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.8 dBm
  2.173  9640         +Level = -2.8 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.174  IEEE         RL -0.8DM;
  2.175  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.176  IEEE         MKA?;[I]
  2.177  MATH         L[18] = MEM

  2.178  HEAD         -2 Reference Level (0.1 dB Gain Steps): -0.9 dBm
  2.179  9640         +Level = -2.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.180  IEEE         RL -0.9DM;
  2.181  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.182  IEEE         MKA?;[I]
  2.183  MATH         L[19] = MEM

  2.184  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.0 dBm
  2.185  9640         +Level = -3.0 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.186  IEEE         RL -1.0DM;
  2.187  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.188  IEEE         MKA?;[I]
  2.189  MATH         L[20] = MEM

  2.190  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.1 dBm
  2.191  9640         +Level = -3.1 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.192  IEEE         RL -1.1DM;
  2.193  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.194  IEEE         MKA?;[I]
  2.195  MATH         L[21] = MEM

  2.196  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.2 dBm
  2.197  9640         +Level = -3.2 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.198  IEEE         RL -1.2DM;
  2.199  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.200  IEEE         MKA?;[I]
  2.201  MATH         L[22] = MEM

  2.202  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.3 dBm
  2.203  9640         +Level = -3.3 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.204  IEEE         RL -1.3DM;
  2.205  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.206  IEEE         MKA?;[I]
  2.207  MATH         L[23] = MEM

  2.208  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.4 dBm
  2.209  9640         +Level = -3.4 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.210  IEEE         RL -1.4DM;
  2.211  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.212  IEEE         MKA?;[I]
  2.213  MATH         L[24] = MEM

  2.214  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.5 dBm
  2.215  9640         +Level = -3.5 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.216  IEEE         RL -1.5DM;
  2.217  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.218  IEEE         MKA?;[I]
  2.219  MATH         L[25] = MEM

  2.220  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.6 dBm
  2.221  9640         +Level = -3.6 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.222  IEEE         RL -1.6DM;
  2.223  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.224  IEEE         MKA?;[I]
  2.225  MATH         L[26] = MEM

  2.226  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.7 dBm
  2.227  9640         +Level = -3.7 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.228  IEEE         RL -1.7DM;
  2.229  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.230  IEEE         MKA?;[I]
  2.231  MATH         L[27] = MEM

  2.232  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.8 dBm
  2.233  9640         +Level = -3.8 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.234  IEEE         RL -1.8DM;
  2.235  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.236  IEEE         MKA?;[I]
  2.237  MATH         L[28] = MEM

  2.238  HEAD         -2 Reference Level (0.1 dB Gain Steps): -1.9 dBm
  2.239  9640         +Level = -3.9 dBm; Freq = 20.001 MHz; OutpImp = 50 Ohms
  2.240  IEEE         RL -1.9DM;
  2.241  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.242  IEEE         MKA?;[I]
  2.243  MATH         L[29] = MEM
  2.244  HEAD         -2
# Find largest positive difference ("D") in -0.1 through -1.9 dBm values.
  2.245  MATH         Pos_D = MAX_L(11, 29)
# Find largest negative difference ("D") in -0.1 through -1.9 dBm values.
  2.246  MATH         Neg_D = MIN_L(11, 29)

# Sum all maximum positive deviations, except -80 through -120 dBm.
  2.247  MATH         MEM = Pos_A + Pos_C + Pos_D
# Worst case 9640A absolute amplitude accuracy over measured ranges.
  2.248  ACC          dB             0.20U
  2.249  MEMCX        0.00dB         +0.60U

  3.001  TSET         TDESC = Sum, Negative Deviations
# Sum all maximum negative deviations, except -80 through -120 dBm.
  3.002  MATH         MEM = Neg_A + Neg_C + Neg_D
  3.003  ACC          dB             0.20U
  3.004  MEMCX        0.00dB         -0.60U

  4.001  RSLT         =
  4.002  HEAD         -2 {-56.0 to -129.9 dBm, RBW >= 30 Hz}
  4.003  TARGET       -p
  4.004  TSET         TDESC = Sum, Positive Deviations
# Sum of all maximum positive deviations.
  4.005  MATH         MEM = Pos_A + Pos_B + Pos_C + Pos_D
  4.006  ACC          dB             0.20U
  4.007  MEMCX        0.00dB         +1.00U

  5.001  TSET         TDESC = Sum, Negative Deviations
# Sum of all maximum negative deviations.
  5.002  MATH         MEM = Neg_A + Neg_B + Neg_C + Neg_D
  5.003  ACC          dB             0.20U
  5.004  MEMCX        0.00dB         -1.00U

  6.001  9640         Reset
  6.002  HEAD         -2
  6.003  IEEE         IP;
  6.004  HEAD

  6.005  END

  6.006  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Amplitude Fidelity VER /9640 ==============

  7.001  LABEL        SCALE_FIDELITY

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT RF INPUT and the 9640A REF FREQUENCY IN is connected to the UUT
# 10 MHz REF IN/OUT...

  7.002  RSLT         =
  7.003  HEAD         {AMPLITUDE FIDELITY TEST (+10 dBm Reference)}
  7.004  RSLT         =
  7.005  RSLT         =Log Fidelity
  7.006  TARGET       -p
  7.007  HEAD         -2 Delta from Reference Level: 0 dB (Reference)
  7.008  TSET         TDESC = -10 dB
  7.009  IEEE         IP;SNGLS;
  7.010  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
  7.010  9640         +Level = +10 dBm; Freq = 20 MHz
  7.011  MATH         @Model = "Fluke 9640A"; @Mode = "Atten dB 50 Abs"
  7.012  MATH         RefAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
  7.013  MATH         @RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(@Model)
  7.014  IEEE         CF 20MZ;SP 50KZ;RL +10DM;AT 20DB;
  7.015  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  7.016  IEEE         MKRL;
  7.017  IEEE         SP 0HZ;VB 1HZ;
  7.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  7.019  IEEE         MKD;

  7.020  HEAD         -2 Delta from Reference Level: -10 dB
  7.021  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
  7.021  9640         +Level = 0 dBm; Freq = 20 MHz
  7.022  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
  7.023  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
  7.024  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
  7.025  MATH         L[1] = PCTTODBW_D(TotalUnc)
  7.026  ACC          -10.0dB        L1U
  7.027  TARGET       -m
  7.028  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  7.029  IEEE         MKA?;[I]
  7.030  MEMCX        -10.0dB        1.0U

  8.001  HEAD         -2 Delta from Reference Level: -20 dB
  8.002  TSET         TDESC = -20 dB
  8.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
  8.003  9640         +Level = -10 dBm; Freq = 20 MHz
  8.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
  8.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
  8.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
  8.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
  8.008  ACC          -20.0dB        L1U
  8.009  TARGET       -m
  8.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  8.011  IEEE         MKA?;[I]
  8.012  MEMCX        -20.0dB        1.0U

  9.001  HEAD         -2 Delta from Reference Level: -30 dB
  9.002  TSET         TDESC = -30 dB
  9.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
  9.003  9640         +Level = -20 dBm; Freq = 20 MHz
  9.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
  9.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
  9.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
  9.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
  9.008  ACC          -30.0dB        L1U
  9.009  TARGET       -m
  9.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  9.011  IEEE         MKA?;[I]
  9.012  MEMCX        -30.0dB        1.0U

 10.001  HEAD         -2 Delta from Reference Level: -40 dB
 10.002  TSET         TDESC = -40 dB
 10.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 10.003  9640         +Level = -30 dBm; Freq = 20 MHz
 10.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 10.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 10.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 10.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 10.008  ACC          -40.0dB        L1U
 10.009  TARGET       -m
 10.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 10.011  IEEE         MKA?;[I]
 10.012  MEMCX        -40.0dB        1.0U

 11.001  HEAD         -2 Delta from Reference Level: -50 dB
 11.002  TSET         TDESC = -50 dB
 11.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 11.003  9640         +Level = -40 dBm; Freq = 20 MHz
 11.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 11.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 11.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 11.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 11.008  ACC          -50.0dB        L1U
 11.009  TARGET       -m
 11.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 11.011  IEEE         MKA?;[I]
 11.012  MEMCX        -50.0dB        1.0U

 12.001  HEAD         -2 Delta from Reference Level: -60 dB
 12.002  TSET         TDESC = -60 dB
 12.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 12.003  9640         +Level = -50 dBm; Freq = 20 MHz
 12.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 12.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 12.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 12.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 12.008  ACC          -60.0dB        L1U
 12.009  TARGET       -m
 12.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 12.011  IEEE         MKA?;[I]
 12.012  MEMCX        -60.0dB        1.0U

 13.001  HEAD         -2 Delta from Reference Level: -70 dB
 13.002  TSET         TDESC = -70 dB
 13.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 13.003  9640         +Level = -60 dBm; Freq = 20 MHz
 13.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 13.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 13.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 13.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 13.008  ACC          -70.0dB        L1U
 13.009  TARGET       -m
 13.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 13.011  IEEE         MKA?;[I]
 13.012  MEMCX        -70.0dB        1.0U

 14.001  HEAD         -2 Delta from Reference Level: -80 dB
 14.002  TSET         TDESC = -80 dB
 14.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 14.003  9640         +Level = -70 dBm; Freq = 20 MHz
 14.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 14.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 14.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 14.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 14.008  ACC          -80.0dB        L1U
 14.009  TARGET       -m
 14.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 14.011  IEEE         MKA?;[I]
 14.012  MEMCX        -80.0dB        1.0U

 15.001  HEAD         -2 Delta from Reference Level: -90 dB
 15.002  TSET         TDESC = -90 dB
 15.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 15.003  9640         +Level = -80 dBm; Freq = 20 MHz
 15.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 15.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 15.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 15.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 15.008  ACC          -90.0dB        L1U
 15.009  TARGET       -m
 15.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 15.011  IEEE         MKA?;[I]
 15.012  MEMCX        -90.0dB        1.5U

 16.001  RSLT         =
 16.002  RSLT         =Linear Fidelity
 16.003  TARGET       -p
 16.004  HEAD         -2 Delta from Reference Level: 0 dB (Reference)
 16.005  TSET         TDESC = -10 dB
 16.006  IEEE         VB 300HZ;SP 1MZ;RB 1MZ;LN;
 16.007  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 16.007  9640         +Level = +10 dBm; Freq = 20 MHz
 16.008  MATH         @Model = "Fluke 9640A"; @Mode = "Atten dB 50 Abs"
 16.009  MATH         RefAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 16.010  MATH         @RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(@Model)
 16.011  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 16.012  IEEE         SP 0HZ;VB 1HZ;AUNITS DBM;
 16.013  IEEE         MKD;

 16.014  HEAD         -2 Delta from Reference Level: -10 dB
 16.015  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 16.015  9640         +Level = 0 dBm; Freq = 20 MHz
 16.016  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 16.017  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 16.018  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 16.019  MATH         L[1] = PCTTODBW_D(TotalUnc)
 16.020  ACC          -10.00dB       L1U
 16.021  TARGET       -m
 16.022  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 16.023  IEEE         MKA?;[I]
 16.024  MEMCX        -10.00dB       +0.79U -0.87U

 17.001  HEAD         -2 Delta from Reference Level: -20 dB
 17.002  TSET         TDESC = -20 dB
 17.003  9640         ExtRefFreq = 10 MHz; TimAccOff; OutputImp = 50 Ohms
 17.003  9640         +Level = -10 dBm; Freq = 20 MHz
 17.004  MATH         TestAcc = ACCV2(@Model, @Mode, MEM1, 20E+6)
 17.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(@Model)
 17.006  MATH         TotalUnc = (RSS2(@RefUnc, TestUnc)) * 2
 17.007  MATH         L[1] = PCTTODBW_D(TotalUnc)
 17.008  ACC          -20.00dB       L1U
 17.009  TARGET       -m
 17.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 17.011  IEEE         MKA?;[I]
 17.012  MEMCX        -20.00dB       +2.28U -3.10U

 18.001  HEAD         -2
 18.002  9640         Reset
 18.003  IEEE         IP;

 18.004  END

 18.005  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Fast Sweep Time VER /9640 =================
#
 19.001  LABEL        FAST_SWEEP

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT RF INPUT...

 19.002  RSLT         =
 19.003  HEAD         {FAST SWEEP TIME ACCURACY TEST (<20 ms)}
 19.004  HEAD         -2 Sweep Time: 100 µsec
 19.005  TARGET       -p
 19.006  TSET         TDESC = 100 µs; NTHROW = 0; NMEAS = 1
 19.007  IEEE         IP;
 19.008  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 19.008  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM
 19.008  9640         +ModFreq = 100 kHz; ModWav = Triangle; AMDepth = 90 %
 19.009  IEEE         CF 100MZ;SP 100KZ;
 19.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 19.011  IEEE         MKOFF ALL;SP 0HZ;RB 3 MZ;VB 3MZ;ST 100US;T4;
 19.012  IEEE         [GTL]
 19.013  MESS         Adjust the UUT trigger LEVEL control for a triggered
 19.013  MESS         sweep, placing the peak of the triangular waveform on
 19.013  MESS         the first graticule from the left edge of the UUT CRT.
 19.013  MESS
 19.013  MESS         Edit stimulus until the waveform peaks coincide with
 19.013  MESS         the UUT vertical graticule lines, adjusting the UUT
 19.013  MESS         Trigger Level as necessary.
 19.014  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 19.014  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM; Slew
 19.014  9640         +ModFreq = 100 kHz; ModWav = Triangle; AMDepth = 90 %
 19.015  MATH         Model = "Fluke 9640A"; Mode = "ModFreq"
# Convert value in kHz to base units for accuracy lookup.
 19.016  MATH         ModVal = MEM * 1E+3
 19.017  MATH         ModFreqAcc = ACCV(Model, Mode, 100E+3)
 19.018  MATH         L[1] = (ModFreqAcc / 100E+3) * 100
 19.019  MATH         L[1] = (1 - ((ModVal - ModFreqAcc) / ModVal)) * 100
# Multiply period by ten as sweep length is ten divisions.
 19.020  MATH         MEM = ((1 / ModVal) * 10) * 1E+6
 19.021  ACC          100.0µs        L1%
 19.022  MEMCX        100.0µs        10%

 20.001  HEAD         -2 Sweep Time: 200 µsec
 20.002  TSET         TDESC = 200 µs; NTHROW = 0; NMEAS = 1
 20.003  IEEE         ST 200US;[GTL]
 20.004  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 20.004  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM; Slew
 20.004  9640         +ModFreq = 50 kHz; ModWav = Triangle; AMDepth = 90 %
 20.005  MATH         ModVal = MEM * 1E+3
 20.006  MATH         ModFreqAcc = ACCV(Model, Mode, 50E+3)
 20.007  MATH         L[1] = (ModFreqAcc / 50E+3) * 100
 20.008  MATH         L[1] = (1 - ((ModVal - ModFreqAcc) / ModVal)) * 100
 20.009  MATH         MEM = ((1 / ModVal) * 10) * 1E+6
 20.010  ACC          200.0µs        L1%
 20.011  MEMCX        200.0µs        10%

 21.001  HEAD         -2 Sweep Time: 1 msec
 21.002  TSET         TDESC = 1 ms; NTHROW = 0; NMEAS = 1
 21.003  IEEE         ST 1MS;[GTL]
 21.004  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 21.004  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM; Slew
 21.004  9640         +ModFreq = 10 kHz; ModWav = Triangle; AMDepth = 90 %
 21.005  MATH         ModVal = MEM * 1E+3
 21.006  MATH         ModFreqAcc = ACCV(Model, Mode, 10E+3)
 21.007  MATH         L[1] = (ModFreqAcc / 10E+3) * 100
 21.008  MATH         L[1] = (1 - ((ModVal - ModFreqAcc) / ModVal)) * 100
 21.009  MATH         MEM = ((1 / ModVal) * 10) * 1E+3
 21.010  ACC          1.000ms        L1%
 21.011  MEMCX        1.000ms        10%

 22.001  HEAD         -2 Sweep Time: 2 msec
 22.002  TSET         TDESC = 2 ms; NTHROW = 0; NMEAS = 1
 22.003  IEEE         ST 2MS;[GTL]
 22.004  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 22.004  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM; Slew
 22.004  9640         +ModFreq = 5 kHz; ModWav = Triangle; AMDepth = 90 %
 22.005  MATH         ModVal = MEM * 1E+3
 22.006  MATH         ModFreqAcc = ACCV(Model, Mode, 5E+3)
 22.007  MATH         L[1] = (ModFreqAcc / 5E+3) * 100
 22.008  MATH         L[1] = (1 - ((ModVal - ModFreqAcc) / ModVal)) * 100
 22.009  MATH         MEM = ((1 / ModVal) * 10) * 1E+3
 22.010  ACC          2.000ms        L1%
 22.011  MEMCX        2.000ms        10%

 23.001  HEAD         -2 Sweep Time: 5 msec
 23.002  TSET         TDESC = 5 ms; NTHROW = 0; NMEAS = 1
 23.003  IEEE         ST 5MS;[GTL]
 23.004  9640         OutputImp = 50 Ohms; ExtRefFreq = 10 MHz; TimAccOff
 23.004  9640         Freq = 100 MHz; Level = -10 dBm; Mode = AM; Slew
 23.004  9640         +ModFreq = 2 kHz; ModWav = Triangle; AMDepth = 90 %
 23.005  MATH         ModVal = MEM * 1E+3
 23.006  MATH         ModFreqAcc = ACCV(Model, Mode, 2E+3)
 23.007  MATH         L[1] = (ModFreqAcc / 2E+3) * 100
 23.008  MATH         L[1] = (1 - ((ModVal - ModFreqAcc) / ModVal)) * 100
 23.009  MATH         MEM = ((1 / ModVal) * 10) * 1E+3
 23.010  ACC          5.000ms        L1%
 23.011  MEMCX        5.000ms        10%

 24.001  HEAD         -2
 24.002  9640         Reset
 24.003  IEEE         IP;
 24.004  HEAD

 24.005  END
