﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Sweep Time VER /LFCTR
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Freq Reference VER /LFCTR,X
DATE:                  2009-04-28
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       334
CONFIGURATION:         LF Counter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8566B, 8568B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Reset /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Initialize /LFCTR
#        Sub Measure /LFCTR
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Reset /LFCTR

  1.005  JMPL         SWEEP_TIME                   PSUBI("Sweep Time")
  1.006  JMPL         FREQ_REFERENCE               PSUBI("Reference")
  1.007  DISP         Called {Subprocedure Not Found}!
  1.008  END

  1.009  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Sweep Time VER /LFCTR =====================

  2.001  LABEL        SWEEP_TIME

  2.002  RSLT         =
  2.003  HEAD         {SWEEP TIME ACCURACY}

  2.004  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.005  DISP         Make the following connections:
  2.005  DISP
  2.005  DISP         [32]        UUT
  2.005  DISP         [32]      DISPLAY
  2.005  DISP         [32]    (rear panel)      to    [V @LFCTR_DevName]
  2.005  DISP         [32]  RECORDER OUTPUTS -------> [V @LFCTR_Ch1]
  2.005  DISP         [32]      PENLIFT

  2.006  DISP         The next routine operator intervention occurs
  2.006  DISP         in approximately 5 minutes...

# Set up LFCTR measurement parameters.
  2.007  MATH         @LFCTR_Func     = "TimeIntCh1-2"
  2.008  MATH         @LFCTR_Ch1Imp   = "HiZ"
  2.009  MATH         @LFCTR_Ch1Cpl   = "DC"
  2.010  MATH         @LFCTR_Ch1Slope = "Neg"
  2.011  MATH         @LFCTR_Ch1Lvl   = "300mV"
  2.012  MATH         @LFCTR_Ch2Cpl   = "DC"
  2.013  MATH         @LFCTR_Ch2Slope = "Pos"
  2.014  MATH         @LFCTR_Ch2Lvl   = "300mV"
  2.015  MATH         @LFCTR_Ch1Lpf   = "On"
  2.016  MATH         @LFCTR_COM      = "On"

  2.017  IF           ZCMPI(@LFCTR_ProgSecName, "5313x")
  2.018  MATH         @LFCTR_Ch1Attn = "x10"
  2.019  MATH         @LFCTR_Ch2Attn = "x10"
  2.020  ELSE
  2.021  MATH         @LFCTR_Ch1Attn = "x1"
  2.022  MATH         @LFCTR_Ch2Attn = "x1"
  2.023  ENDIF

  2.024  CALL         Sub Setup /LFCTR

  2.025  MATH         @Cmd = "IP;"
  2.026  CALL         Sub HP 8566B/68B Command Complete

  2.027  HEAD         -2 Sweep Time setting: 20 milliseconds
  2.028  MATH         @Cmd = "CF 500MZ;SP 0HZ;ST 20MS;"
  2.029  CALL         Sub HP 8566B/68B Command Complete
# Look up instrument name of external frequency reference.
  2.030  MATH         ExtFreqRef = INI("startup", "FreqRefDevName")
  2.031  TARGET       -m
  2.032  CALL         Sub Read /LFCTR
# Convert measured time to frequency.
  2.033  MATH         Freq = 1 / MEM
# Retrieve accuracy for external frequency reference.
  2.034  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
# Convert frequency accuracy in units to percent.
  2.035  MATH         L[1] = (FreqAcc / Freq) * 100
  2.036  ACC          20ms           L1%
  2.037  MATH         MEM = MEM / 1E-3
  2.038  MEMC         20ms           10%

  3.001  IF           ZCMPI(@ModelNum, "8566B")
  3.002  HEAD         -2 Sweep Time setting: 30 milliseconds
  3.003  MATH         @Cmd = "ST 30MS;"
  3.004  CALL         Sub HP 8566B/68B Command Complete
  3.005  TARGET       -m
  3.006  CALL         Sub Read /LFCTR
  3.007  MATH         Freq = 1 / MEM
  3.008  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  3.009  MATH         L[1] = (FreqAcc / Freq) * 100
  3.010  ACC          30ms           L1%
  3.011  MATH         MEM = MEM / 1E-3
  3.012  MEMC         30ms           10%
  4.001  ENDIF

  4.002  HEAD         -2 Sweep Time setting: 50 milliseconds
  4.003  MATH         @Cmd = "ST 50MS;"
  4.004  CALL         Sub HP 8566B/68B Command Complete
  4.005  TARGET       -m
  4.006  CALL         Sub Read /LFCTR
  4.007  MATH         Freq = 1 / MEM
  4.008  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  4.009  MATH         L[1] = (FreqAcc / Freq) * 100
  4.010  ACC          50ms           L1%
  4.011  MATH         MEM = MEM / 1E-3
  4.012  MEMC         50ms           10%

  5.001  IF           ZCMPI(@ModelNum, "8566B")
  5.002  HEAD         -2 Sweep Time setting: 70 milliseconds
  5.003  MATH         @Cmd = "ST 70MS;"
  5.004  CALL         Sub HP 8566B/68B Command Complete
  5.005  TARGET       -m
  5.006  CALL         Sub Read /LFCTR
  5.007  MATH         Freq = 1 / MEM
  5.008  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  5.009  MATH         L[1] = (FreqAcc / Freq) * 100
  5.010  ACC          70ms           L1%
  5.011  MATH         MEM = MEM / 1E-3
  5.012  MEMC         70ms           10%

  6.001  HEAD         -2 Sweep Time setting: 90 milliseconds
  6.002  MATH         @Cmd = "ST 90MS;"
  6.003  CALL         Sub HP 8566B/68B Command Complete
  6.004  TARGET       -m
  6.005  CALL         Sub Read /LFCTR
  6.006  MATH         Freq = 1 / MEM
  6.007  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  6.008  MATH         L[1] = (FreqAcc / Freq) * 100
  6.009  ACC          90ms           L1%
  6.010  MATH         MEM = MEM / 1E-3
  6.011  MEMC         90ms           10%
  7.001  ENDIF

  7.002  IF           ZCMPI(@ModelNum, "8568B")
  7.003  HEAD         -2 Sweep Time setting: 100 milliseconds
  7.004  MATH         @Cmd = "ST 100MS;"
  7.005  CALL         Sub HP 8566B/68B Command Complete
  7.006  TARGET       -m
  7.007  CALL         Sub Read /LFCTR
  7.008  MATH         Freq = 1 / MEM
  7.009  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  7.010  MATH         L[1] = (FreqAcc / Freq) * 100
  7.011  ACC          100ms          L1%
  7.012  MATH         MEM = MEM / 1E-3
  7.013  MEMC         100ms          10%
  8.001  ENDIF

  8.002  IF           ZCMPI(@ModelNum, "8566B")
  8.003  HEAD         -2 Sweep Time setting: 110 milliseconds
  8.004  MATH         @Cmd = "ST 110MS;"
  8.005  CALL         Sub HP 8566B/68B Command Complete
  8.006  TARGET       -m
  8.007  CALL         Sub Read /LFCTR
  8.008  MATH         Freq = 1 / MEM
  8.009  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  8.010  MATH         L[1] = (FreqAcc / Freq) * 100
  8.011  ACC          110ms          L1%
  8.012  MATH         MEM = MEM / 1E-3
  8.013  MEMC         110ms          10%

  9.001  HEAD         -2 Sweep Time setting: 170 milliseconds
  9.002  MATH         @Cmd = "ST 170MS;"
  9.003  CALL         Sub HP 8566B/68B Command Complete
  9.004  TARGET       -m
  9.005  CALL         Sub Read /LFCTR
  9.006  MATH         Freq = 1 / MEM
  9.007  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
  9.008  MATH         L[1] = (FreqAcc / Freq) * 100
  9.009  ACC          170ms          L1%
  9.010  MATH         MEM = MEM / 1E-3
  9.011  MEMC         170ms          10%

 10.001  HEAD         -2 Sweep Time setting: 200 milliseconds
 10.002  MATH         @Cmd = "ST 200MS;"
 10.003  CALL         Sub HP 8566B/68B Command Complete
 10.004  TARGET       -m
 10.005  CALL         Sub Read /LFCTR
 10.006  MATH         Freq = 1 / MEM
 10.007  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 10.008  MATH         L[1] = (FreqAcc / Freq) * 100
 10.009  ACC          200ms          L1%
 10.010  MATH         MEM = MEM / 1E-3
 10.011  MEMC         200ms          10%
 11.001  ENDIF

 11.002  IF           ZCMPI(@ModelNum, "8568B")
 11.003  HEAD         -2 Sweep Time setting: 500 milliseconds
 11.004  MATH         @Cmd = "ST 500MS;"
 11.005  CALL         Sub HP 8566B/68B Command Complete
 11.006  TARGET       -m
 11.007  CALL         Sub Read /LFCTR
 11.008  MATH         Freq = 1 / MEM
 11.009  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 11.010  MATH         L[1] = (FreqAcc / Freq) * 100
 11.011  ACC          500ms          L1%
 11.012  MATH         MEM = MEM / 1E-3
 11.013  MEMC         500ms          10%

 12.001  HEAD         -2 Sweep Time setting: 1 second
 12.002  MATH         @Cmd = "ST 1SC;"
 12.003  CALL         Sub HP 8566B/68B Command Complete
 12.004  TARGET       -m
 12.005  CALL         Sub Read /LFCTR
 12.006  MATH         Freq = 1 / MEM
 12.007  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 12.008  MATH         L[1] = (FreqAcc / Freq) * 100
 12.009  ACC          1.0s           L1%
 12.010  MEMC         1.0s           10%
 13.001  ENDIF

 13.002  IF           ZCMPI(@ModelNum, "8566B")
 13.003  HEAD         -2 Sweep Time setting: 2 seconds
 13.004  MATH         @Cmd = "ST 2SC;"
 13.005  CALL         Sub HP 8566B/68B Command Complete
 13.006  TARGET       -m
 13.007  CALL         Sub Read /LFCTR
 13.008  MATH         Freq = 1 / MEM
 13.009  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 13.010  MATH         L[1] = (FreqAcc / Freq) * 100
 13.011  ACC          2.0s           L1%
 13.012  MEMC         2.0s           10%
 14.001  ENDIF

 14.002  HEAD         -2 Sweep Time setting: 20 seconds
 14.003  MATH         @Cmd = "ST 20SC;"
 14.004  CALL         Sub HP 8566B/68B Command Complete
 14.005  TARGET       -m
 14.006  CALL         Sub Read /LFCTR
 14.007  MATH         Freq = 1 / MEM
 14.008  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 14.009  MATH         L[1] = (FreqAcc / Freq) * 100
 14.010  ACC          20s            L1%
 14.011  MEMC         20s            10%

 15.001  HEAD         -2 Sweep Time setting: 50 seconds
 15.002  MATH         @Cmd = "ST 50SC;"
 15.003  CALL         Sub HP 8566B/68B Command Complete
 15.004  TARGET       -m
 15.005  CALL         Sub Read /LFCTR
 15.006  MATH         Freq = 1 / MEM
 15.007  MATH         FreqAcc = ACCV(ExtFreqRef, "Timebase", Freq)
 15.008  MATH         L[1] = (FreqAcc / Freq) * 100
 15.009  ACC          50s            L1%
 15.010  MEMC         50s            10%

 16.001  HEAD         -2
 16.002  IEEE         IP;
 16.003  CALL         Sub Reset /LFCTR
 16.004  HEAD

 16.005  END

 16.006  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Freq Reference VER /LFCTR,X ===============

 17.001  LABEL        FREQ_REFERENCE

 17.002  RSLT         =
 17.003  HEAD         {FREQUENCY REFERENCE ACCURACY}
 17.004  TARGET       -p
 17.005  TSET         TDESC = 10 MHz

 17.006  CALL         Sub Initialize /LFCTR
 17.007  CALL         Sub Reset /LFCTR

 17.008  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
 17.009  DISP         Make the following connections:
 17.009  DISP
 17.009  DISP         [32]   House Std    to    [V @LFCTR_DevName]
 17.009  DISP         [32]  10 MHz OUT -------> [V @LFCTR_RefIn]

 17.010  DISP         Make the following connections:
 17.010  DISP
 17.010  DISP         [32] UUT (rear panel)   to    [V @LFCTR_DevName]
 17.010  DISP         [32]  10 MHZ REF OUT  ------> [V @LFCTR_Ch1]

 17.011  HEAD         10 MHz REFERENCE OUTPUT ACCURACY
 17.012  MATH         @LFCTR_ROSC     = "Ext"
 17.013  MATH         @LFCTR_MeasTime = "2s"
 17.014  MATH         @LFCTR_Func     = "FreqCh1"
 17.015  MATH         @LFCTR_Ch1Imp   = "LoZ"
# Look up instrument name of external frequency reference.
 17.016  MATH         ExtFreqRef = INI("startup", "FreqRefDevName")
 17.017  TARGET       -m
 17.018  CALL         Sub Measure /LFCTR
# Retrieve accuracy for external frequency reference.
 17.019  MATH         L[1] = (ACCV(ExtFreqRef, "Timebase", MEM)) / 1E+6
 17.020  MATH         MEM = MEM / 1E+6
 17.021  ACC          MHz            L1U
 17.022  MEMC   10    10.00000000MHz 0.25P%

 18.001  HEAD         -2
 18.002  IEEE         IP;
 18.003  CALL         Sub Reset /LFCTR
 18.004  HEAD

 18.005  END
