﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Resolution Bandwidth VER
INSTRUMENT:            Sub HP 8566B/68B (6 mo) RBW Selectivity VER
INSTRUMENT:            Sub HP 8566B/68B (6 mo) RBW Switching Uncertainty VER
INSTRUMENT:            Sub HP 8566B/68B (6 mo) Log Switching Uncertainty VER
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       43
NUMBER OF LINES:       636
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8566B, 8568B
#
#  Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
#        Sub HP 8566B/68B Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RES_BW                       PSUBI("Resolution")
  1.002  JMPL         RES_BW_SELECT                PSUBI("Selectivity")
  1.003  JMPL         RES_BW_SWITCH                PSUBI("RBW Switching")
  1.004  JMPL         LOG_SWITCH                   PSUBI("Log Switching")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Resolution Bandwidth VER ==================

  2.001  LABEL        RES_BW

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT.

  2.002  RSLT         =
  2.003  HEAD         {RESOLUTION BANDWIDTH ACCURACY TEST}
  2.004  TARGET       -p
  2.005  IEEE         IP;SNGLS;

  2.006  IF           ZCMPI(@ModelNum, "8566B")
  2.007  IEEE         CF 100MZ;
  2.008  ELSE
  2.009  IEEE         CF 20MZ;
  2.010  ENDIF

  2.011  HEAD         -2 RBW Setting: 3 MHz
  2.012  TSET         TDESC = 3 MHz
  2.013  IEEE         SP 5MZ;RB 3MZ;RL -10DM;LN;AUNITS DBM;MKFC ON;MKFCR 10KZ;
  2.014  TARGET       -m
  2.015  IEEE         MKOFF ALL;
  2.016  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  2.017  IEEE         MKRL;MKD;
# Set delta marker to -3 dB bandwidth.
  2.018  IEEE         MKTYPE AMP;MKA -29.05;
# Set the delta marker to other -3 dB point and measure frequency difference.
  2.019  IEEE         MKD;MF?;[I]
  2.020  MATH         MEM = ABS(MEM / 1E+6)
# UUT delta marker (FREQ COUNT mode) accuracy, >1 MHz:
#   ±(10 kHz + resolution)
  2.021  ACC    3     MHz            0.01U 0.01U
  2.022  MEMCX        3.00MHz        20%

  3.001  HEAD         -2 RBW Setting: 1 MHz
  3.002  TSET         TDESC = 1 MHz
  3.003  IEEE         MKOFF ALL;SP 2MZ;RB 1MZ;
  3.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  3.005  IEEE         MKRL;MKD;
  3.006  IEEE         MKTYPE AMP;MKA -29.05;
  3.006  IEEE         MKD;MF?;[I]
# UUT delta marker accuracy (FREQ COUNT mode), >100 kHz to 1 MHz:
#   ±(frequency reference error x frequency + 10 Hz + 2 x resolution)
  3.007  MATH         L[1] = (MEM * 0.25E-6 + 10 + 20E+3) / 1E+6
  3.008  MATH         MEM = ABS(MEM / 1E+6)
  3.009  ACC    1     MHz            L1U
  3.010  MEMCX        1.00MHz        10%

  4.001  HEAD         -2 RBW Setting: 300 kHz
  4.002  TSET         TDESC = 300 kHz
  4.003  IEEE         MKOFF ALL;SP 500KZ;RB 300KZ;MKFCR 1KZ;
  4.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  4.005  IEEE         MKRL;MKD;
  4.006  IEEE         MKTYPE AMP;MKA -29.05;
  4.006  IEEE         MKD;MF?;[I]
  4.007  MATH         L[1] = (MEM * 0.25E-6 + 10 + 2E+3) / 1E+3
  4.008  MATH         MEM = ABS(MEM / 1E+3)
  4.009  ACC    300   kHz            L1U
  4.010  MEMCX        300kHz         10%

  5.001  HEAD         -2 RBW Setting: 100 kHz
  5.002  TSET         TDESC = 100 kHz
  5.003  IEEE         MKOFF ALL;SP 200KZ;RB 100KZ;
  5.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  5.005  IEEE         MKRL;MKD;
  5.006  IEEE         MKTYPE AMP;MKA -29.05;
  5.006  IEEE         MKD;MF?;[I]
# UUT delta marker accuracy (FREQ COUNT mode), <=100 kHz:
#   ±(frequency reference error x frequency + 2 x resolution)
  5.007  MATH         L[1] = (MEM * 0.25E-6 + 2E+3) / 1E+3
  5.008  MATH         MEM = ABS(MEM / 1E+3)
  5.009  ACC    100   kHz            L1U
  5.010  MEMCX        100kHz         10%

  6.001  HEAD         -2 RBW Setting: 30 kHz
  6.002  TSET         TDESC = 30 kHz
  6.003  IEEE         MKOFF ALL;SP 50KZ;RB 30KZ;MKFCR 100HZ;
  6.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  6.005  IEEE         MKRL;MKD;
  6.006  IEEE         MKTYPE AMP;MKA -29.05;
  6.006  IEEE         MKD;MF?;[I]
  6.007  MATH         L[1] = (MEM * 0.25E-6 + 200) / 1E+3
  6.008  MATH         MEM = ABS(MEM / 1E+3)
  6.009  ACC    30    kHz            L1U
  6.010  MEMCX        30.0kHz        10%

  7.001  HEAD         -2 RBW Setting: 10 kHz
  7.002  TSET         TDESC = 10 kHz
  7.003  IEEE         MKOFF ALL;SP 20KZ;RB 10KZ;
  7.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  7.005  IEEE         MKRL;MKD;
  7.006  IEEE         MKTYPE AMP;MKA -29.05;
  7.006  IEEE         MKD;MF?;[I]
  7.007  MATH         L[1] = (MEM * 0.25E-6 + 200) / 1E+3
  7.008  MATH         MEM = ABS(MEM / 1E+3)
  7.009  ACC    10    kHz            L1U
  7.010  MEMCX        10.0kHz        10%

  8.001  HEAD         -2 RBW Setting: 3 kHz
  8.002  TSET         TDESC = 3 kHz
  8.003  IEEE         MKOFF ALL;SP 5KZ;RB 3KZ;MKFCR 10HZ;
  8.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  8.005  IEEE         MKRL;MKD;
  8.006  IEEE         MKTYPE AMP;MKA -29.05;
  8.006  IEEE         MKD;MF?;[I]
  8.007  MATH         L[1] = (MEM * 0.25E-6 + 20) / 1E+3
  8.008  MATH         MEM = ABS(MEM / 1E+3)
  8.009  ACC    3     kHz            L1U
  8.010  MEMCX        3.00kHz        10%

  9.001  HEAD         -2 RBW Setting: 1 kHz
  9.002  TSET         TDESC = 1 kHz
  9.003  IEEE         MKOFF ALL;SP 2KZ;RB 1KZ;
  9.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
  9.005  IEEE         MKRL;MKD;
  9.006  IEEE         MKTYPE AMP;MKA -29.05;
  9.006  IEEE         MKD;MF?;[I]
  9.007  MATH         L[1] = (MEM * 0.25E-6 + 20) / 1E+3
  9.008  MATH         MEM = ABS(MEM / 1E+3)
  9.009  ACC    1     kHz            L1U
  9.010  MEMCX        1.00kHz        20%

 10.001  HEAD         -2 RBW Setting: 300 Hz
 10.002  TSET         TDESC = 300 Hz
 10.003  IEEE         MKOFF ALL;SP 500HZ;RB 300HZ;MKFCR 1HZ;
 10.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 10.005  IEEE         MKRL;MKD;
 10.006  IEEE         MKTYPE AMP;MKA -29.05;
 10.006  IEEE         MKD;MF?;[I]
 10.007  MATH         L[1] = (MEM * 0.25E-6 + 2)
 10.008  MATH         MEM = ABS(MEM)
 10.009  ACC    300   Hz             L1U
 10.010  MEMCX        300Hz          20%

 11.001  HEAD         -2 RBW Setting: 100 Hz
 11.002  TSET         TDESC = 100 Hz
 11.003  IEEE         MKOFF ALL;SP 200HZ;RB 100HZ;
 11.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 11.005  IEEE         MKRL;MKD;
 11.006  IEEE         MKTYPE AMP;MKA -29.05;
 11.006  IEEE         MKD;MF?;[I]
 11.007  MATH         L[1] = (MEM * 0.25E-6 + 2)
 11.008  MATH         MEM = ABS(MEM)
 11.009  ACC    100   Hz             L1U
 11.010  MEMCX        100Hz          20%

 12.001  HEAD         -2 RBW Setting: 30 Hz
 12.002  TSET         TDESC = 30 Hz
 12.003  IEEE         MKOFF ALL;SP 100HZ;RB 30HZ;
 12.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 12.005  IEEE         MKRL;MKD;
 12.006  IEEE         MKTYPE AMP;MKA -29.05;
 12.006  IEEE         MKD;MF?;[I]
 12.007  MATH         L[1] = (MEM * 0.25E-6 + 2)
 12.008  MATH         MEM = ABS(MEM)
 12.009  ACC    30    Hz             L1U
 12.010  MEMCX        30.0Hz         20%

 13.001  HEAD         -2 RBW Setting: 10 Hz
 13.002  TSET         TDESC = 10 Hz
 13.003  IEEE         MKOFF ALL;RB 10HZ;
 13.004  IEEE         AUNITS DBM;
 13.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 13.006  IEEE         MKRL;MKD;
 13.007  IEEE         MKTYPE AMP;MKA -29.05;
 13.007  IEEE         MKD;MF?;[I]
 13.008  MATH         MEM = ABS(MEM)
# At 10 Hz, the dominant uncertainty component is resolution of the UUT.
# Therefore, the uncertainty is ±1 LSD, i.e., 1 Hz.
 13.009  ACC    10    Hz             1.0U
 13.010  MEMCX        10.0Hz         20%

 14.001  HEAD         -2
 14.002  IEEE         IP;
 14.003  HEAD

 14.004  END

 14.005  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) RBW Selectivity VER =======================

 15.001  LABEL        RES_BW_SELECT

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT.

 15.002  RSLT         =
 15.003  HEAD         {RESOLUTION BANDWIDTH SELECTIVITY TEST}
 15.004  TARGET       -p
 15.005  IEEE         IP;SNGLS;

 15.006  IF           ZCMPI(@ModelNum, "8566B")
 15.007  IEEE         CF 100MZ;
 15.008  ELSE
 15.009  IEEE         CF 20MZ;
 15.010  ENDIF

 15.011  IEEE         SP 20MZ;RB 3MZ;VB 100HZ;RL -10DM;
 15.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 15.013  IEEE         MKD;
# Set delta marker to (lower) -60 dB bandwidth.
 15.014  IEEE         MKTYPE AMP;MKA -60DB;
# Set the delta marker to other (upper) -60 dB point.
 15.014  IEEE         MKD;MF?;[I]
# Query 60 dB bandwidth.
 15.015  IEEE         MKF?;[I]
 15.016  MATH         L[1] = ABS(MEM)
 15.017  IEEE         MKOFF;LN;AUNITS DBM
 15.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 15.019  IEEE         MKD;
# Set delta marker to (lower) -3 dB bandwidth (using linear equivalent).
 15.020  IEEE         MKTYPE AMP;MKA -29.05;
# Set the delta marker to other (upper) -3 dB point.
 15.020  IEEE         MKD;MF?;[I]
# Query 3 dB bandwidth.
 15.021  IEEE         MKF?;[I]
# Divide 60 dB bandwidth by 3 dB bandwidth to compute selectivity ratio.
 15.022  MATH         MEM = L[1] / ABS(MEM)
 15.023  EVAL   -e MEM < 15 : 3 MHz, Limit: <15:1

 16.001  HEAD         -2 RBW Setting: 1 MHz
 16.002  IEEE         MKOFF ALL;SP 15MZ;RB 1MZ;VB 300HZ;
 16.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 16.004  IEEE         MKD;
 16.005  IEEE         MKTYPE AMP;MKA -60DB;
 16.005  IEEE         MKD;MF?;[I]
 16.006  IEEE         MKF?;[I]
 16.007  MATH         L[1] = ABS(MEM)
 16.008  IEEE         MKOFF;LN;AUNITS DBM
 16.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 16.010  IEEE         MKD;
 16.011  IEEE         MKTYPE AMP;MKA -29.05;
 16.011  IEEE         MKD;MF?;[I]
 16.012  IEEE         MKF?;[I]
 16.013  MATH         MEM = L[1] / ABS(MEM)
 16.014  EVAL   -e MEM < 15 : 1 MHz, Limit: <15:1

 17.001  HEAD         -2 RBW Setting: 300 kHz
 17.002  IEEE         MKOFF ALL;SP 5MZ;RB 300KZ;
 17.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 17.004  IEEE         MKD;
 17.005  IEEE         MKTYPE AMP;MKA -60DB;
 17.005  IEEE         MKD;MF?;[I]
 17.006  IEEE         MKF?;[I]
 17.007  MATH         L[1] = ABS(MEM)
 17.008  IEEE         MKOFF;LN;AUNITS DBM
 17.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 17.010  IEEE         MKD;
 17.011  IEEE         MKTYPE AMP;MKA -29.05;
 17.011  IEEE         MKD;MF?;[I]
 17.012  IEEE         MKF?;[I]
 17.013  MATH         MEM = L[1] / ABS(MEM)
 17.014  EVAL   -e MEM < 15 : 300 kHz, Limit: <15:1

 18.001  HEAD         -2 RBW Setting: 100 kHz
 18.002  IEEE         MKOFF ALL;SP 2MZ;RB 100KZ;
 18.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 18.004  IEEE         MKD;
 18.005  IEEE         MKTYPE AMP;MKA -60DB;
 18.005  IEEE         MKD;MF?;[I]
 18.006  IEEE         MKF?;[I]
 18.007  MATH         L[1] = ABS(MEM)
 18.008  IEEE         MKOFF;LN;AUNITS DBM
 18.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 18.010  IEEE         MKD;
 18.011  IEEE         MKTYPE AMP;MKA -29.05;
 18.011  IEEE         MKD;MF?;[I]
 18.012  IEEE         MKF?;[I]
 18.013  MATH         MEM = L[1] / ABS(MEM)
 18.014  EVAL   -e MEM < 15 : 100 kHz, Limit: <15:1

 19.001  HEAD         -2 RBW Setting: 30 kHz
 19.002  IEEE         MKOFF ALL;SP 500KZ;RB 30KZ;
 19.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 19.004  IEEE         MKD;
 19.005  IEEE         MKTYPE AMP;MKA -60DB;
 19.005  IEEE         MKD;MF?;[I]
 19.006  IEEE         MKF?;[I]
 19.007  MATH         L[1] = ABS(MEM)
 19.008  IEEE         MKOFF;LN;AUNITS DBM
 19.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 19.010  IEEE         MKD;
 19.011  IEEE         MKTYPE AMP;MKA -29.05;
 19.011  IEEE         MKD;MF?;[I]
 19.012  IEEE         MKF?;[I]
 19.013  MATH         MEM = L[1] / ABS(MEM)
 19.014  EVAL   -e MEM < 13 : 30 kHz, Limit: <13:1

 20.001  HEAD         -2 RBW Setting: 10 kHz
 20.002  IEEE         MKOFF ALL;SP 200KZ;RB 10KZ;
 20.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 20.004  IEEE         MKD;
 20.005  IEEE         MKTYPE AMP;MKA -60DB;
 20.005  IEEE         MKD;MF?;[I]
 20.006  IEEE         MKF?;[I]
 20.007  MATH         L[1] = ABS(MEM)
 20.008  IEEE         MKOFF;LN;AUNITS DBM
 20.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 20.010  IEEE         MKD;
 20.011  IEEE         MKTYPE AMP;MKA -29.05;
 20.011  IEEE         MKD;MF?;[I]
 20.012  IEEE         MKF?;[I]
 20.013  MATH         MEM = L[1] / ABS(MEM)
 20.014  EVAL   -e MEM < 13 : 10 kHz, Limit: <13:1

 21.001  HEAD         -2 RBW Setting: 3 kHz
 21.002  IEEE         MKOFF ALL;SP 50KZ;RB 3KZ;
 21.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 21.004  IEEE         MKD;
 21.005  IEEE         MKTYPE AMP;MKA -60DB;
 21.005  IEEE         MKD;MF?;[I]
 21.006  IEEE         MKF?;[I]
 21.007  MATH         L[1] = ABS(MEM)
 21.008  IEEE         MKOFF;LN;AUNITS DBM
 21.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 21.010  IEEE         MKD;
 21.011  IEEE         MKTYPE AMP;MKA -29.05;
 21.011  IEEE         MKD;MF?;[I]
 21.012  IEEE         MKF?;[I]
 21.013  MATH         MEM = L[1] / ABS(MEM)
 21.014  EVAL   -e MEM < 11 : 3 kHz, Limit: <11:1

 22.001  HEAD         -2 RBW Setting: 1 kHz
 22.002  IEEE         MKOFF ALL;SP 10KZ;RB 1KZ;
 22.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 22.004  IEEE         MKD;
 22.005  IEEE         MKTYPE AMP;MKA -60DB;
 22.005  IEEE         MKD;MF?;[I]
 22.006  IEEE         MKF?;[I]
 22.007  MATH         L[1] = ABS(MEM)
 22.008  IEEE         MKOFF;LN;AUNITS DBM
 22.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 22.010  IEEE         MKD;
 22.011  IEEE         MKTYPE AMP;MKA -29.05;
 22.011  IEEE         MKD;MF?;[I]
 22.012  IEEE         MKF?;[I]
 22.013  MATH         MEM = L[1] / ABS(MEM)
 22.014  EVAL   -e MEM < 11 : 1 kHz, Limit: <11:1

 23.001  HEAD         -2 RBW Setting: 300 Hz
 23.002  IEEE         MKOFF ALL;SP 5KZ;RB 300HZ;
 23.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 23.004  IEEE         MKD;
 23.005  IEEE         MKTYPE AMP;MKA -60DB;
 23.005  IEEE         MKD;MF?;[I]
 23.006  IEEE         MKF?;[I]
 23.007  MATH         L[1] = ABS(MEM)
 23.008  IEEE         MKOFF;LN;AUNITS DBM
 23.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 23.010  IEEE         MKD;
 23.011  IEEE         MKTYPE AMP;MKA -29.05;
 23.011  IEEE         MKD;MF?;[I]
 23.012  IEEE         MKF?;[I]
 23.013  MATH         MEM = L[1] / ABS(MEM)
 23.014  EVAL   -e MEM < 11 : 300 Hz, Limit: <11:1

 24.001  HEAD         -2 RBW Setting: 100 Hz
 24.002  IEEE         MKOFF ALL;SP 2KZ;RB 100HZ;
 24.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 24.004  IEEE         MKD;
 24.005  IEEE         MKTYPE AMP;MKA -60DB;
 24.005  IEEE         MKD;MF?;[I]
 24.006  IEEE         MKF?;[I]
 24.007  MATH         L[1] = ABS(MEM)
 24.008  IEEE         MKOFF;LN;AUNITS DBM
 24.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 24.010  IEEE         MKD;
 24.011  IEEE         MKTYPE AMP;MKA -29.05;
 24.011  IEEE         MKD;MF?;[I]
 24.012  IEEE         MKF?;[I]
 24.013  MATH         MEM = L[1] / ABS(MEM)
 24.014  EVAL   -e MEM < 11 : 100 Hz, Limit: <11:1

 25.001  HEAD         -2 RBW Setting: 30 Hz
 25.002  IEEE         MKOFF ALL;SP 500HZ;RB 30HZ;
 25.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 25.004  IEEE         MKD;
 25.005  IEEE         MKTYPE AMP;MKA -60DB;
 25.005  IEEE         MKD;MF?;[I]
 25.006  IEEE         MKF?;[I]
 25.007  MATH         L[1] = ABS(MEM)
 25.008  IEEE         MKOFF;LN;AUNITS DBM
 25.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 25.010  IEEE         MKD;
 25.011  IEEE         MKTYPE AMP;MKA -29.05;
 25.011  IEEE         MKD;MF?;[I]
 25.012  IEEE         MKF?;[I]
 25.013  MATH         MEM = L[1] / ABS(MEM)
 25.014  EVAL   -e MEM < 11 : 30 Hz, Limit: <11:1

 26.001  HEAD         -2 RBW Setting: 10 Hz
 26.002  IEEE         MKOFF ALL;SP 100HZ;RB 10HZ;
 26.003  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 26.004  IEEE         MKD;
 26.005  IEEE         MKTYPE AMP;MKA -60DB;
 26.005  IEEE         MKD;MF?;[I]
 26.006  IEEE         MKF?;[I]
 26.007  EVAL   -e ABS(MEM) < 100 : 10 Hz, Limit: <100 Hz

 27.001  HEAD         -2
 27.002  IEEE         IP;
 27.003  HEAD

 27.004  END

 27.005  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) RBW Switching Uncertainty VER =============

 28.001  LABEL        RES_BW_SWITCH

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT.

 28.002  RSLT         =
 28.003  HEAD         {RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY}
 28.004  TSET         TDESC = 3 MHz
 28.005  TARGET       -p
 28.006  IEEE         IP;SNGLS;

 28.007  IF           ZCMPI(@ModelNum, "8566B")
 28.008  IEEE         CF 100MZ;
 28.009  ELSE
 28.010  IEEE         CF 20MZ;
 28.011  ENDIF

 28.012  HEAD         -2 RBW Setting: Reference Set
 28.013  IEEE         SP 5MZ;RB 1MZ;RL -8DM;LG 1DM;
 28.014  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 28.015  HEAD         -2 RBW Setting: 3 MHz
 28.016  IEEE         MKD;
 28.017  IEEE         SP 5MZ;RB 3MZ;
 28.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 28.019  IEEE         MKA?;[I]
# UUT delta marker amplitude accuracy: ±0.1 dB/dB.
 28.020  ACC          dB             0.1U                                  +DW
 28.021  MEMCX        0.00dB         1.00U

 29.001  HEAD         -2 RBW Setting: 300 kHz
 29.002  TSET         TDESC = 300 kHz
 29.003  IEEE         SP 5MZ;RB 300KZ;
 29.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 29.005  IEEE         MKA?;[I]
 29.006  ACC          dB             0.1U                                  +DW
 29.007  MEMCX        0.00dB         0.50U

 30.001  HEAD         -2 RBW Setting: 100 kHz
 30.002  TSET         TDESC = 100 kHz
 30.003  IEEE         SP 500KZ;RB 100KZ;
 30.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 30.005  IEEE         MKA?;[I]
 30.006  ACC          dB             0.1U                                  +DW
 30.007  MEMCX        0.00dB         0.50U

 31.001  HEAD         -2 RBW Setting: 30 kHz
 31.002  TSET         TDESC = 30 kHz
 31.003  IEEE         SP 500KZ;RB 30KZ;
 31.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 31.005  IEEE         MKA?;[I]
 31.006  ACC          dB             0.1U                                  +DW
 31.007  MEMCX        0.00dB         0.50U

 32.001  HEAD         -2 RBW Setting: 10 kHz
 32.002  TSET         TDESC = 10 kHz
 32.003  IEEE         SP 50KZ;RB 10KZ;
 32.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 32.005  IEEE         MKA?;[I]
 32.006  ACC          dB             0.1U                                  +DW
 32.007  MEMCX        0.00dB         0.50U

 33.001  HEAD         -2 RBW Setting: 3 kHz
 33.002  TSET         TDESC = 3 kHz
 33.003  IEEE         SP 50KZ;RB 3KZ;
 33.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 33.005  IEEE         MKA?;[I]
 33.006  ACC          dB             0.1U                                  +DW
 33.007  MEMCX        0.00dB         0.50U

 34.001  HEAD         -2 RBW Setting: 1 kHz
 34.002  TSET         TDESC = 1 kHz
 34.003  IEEE         SP 10KZ;RB 1KZ;
 34.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 34.005  IEEE         MKA?;[I]
 34.006  ACC          dB             0.1U                                  +DW
 34.007  MEMCX        0.00dB         0.50U

 35.001  HEAD         -2 RBW Setting: 300 Hz
 35.002  TSET         TDESC = 300 Hz
 35.003  IEEE         SP 1KZ;RB 300HZ;
 35.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 35.005  IEEE         MKA?;[I]
 35.006  ACC          dB             0.1U                                  +DW
 35.007  MEMCX        0.00dB         0.50U

 36.001  HEAD         -2 RBW Setting: 100 Hz
 36.002  TSET         TDESC = 100 Hz
 36.003  IEEE         SP 1KZ;RB 100HZ;
 36.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 36.005  IEEE         MKA?;[I]
 36.006  ACC          dB             0.1U                                  +DW
 36.007  MEMCX        0.00dB         0.50U

 37.001  HEAD         -2 RBW Setting: 30 Hz
 37.002  TSET         TDESC = 30 Hz
 37.003  IEEE         SP 200HZ;RB 30HZ;
 37.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 37.005  IEEE         MKA?;[I]
 37.006  ACC          dB             0.1U                                  +DW
 37.007  MEMCX        0.00dB         0.80U

 38.001  HEAD         -2 RBW Setting: 10 Hz
 38.002  TSET         TDESC = 10 Hz
 38.003  IEEE         SP 100HZ;RB 10HZ;
 38.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 38.005  IEEE         MKA?;[I]
 38.006  ACC          dB             0.1U                                  +DW
 38.007  MEMCX        0.00dB         2.00U

 39.001  HEAD         -2
 39.002  IEEE         IP;
 39.003  HEAD

 39.004  END

 39.005  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B (6 mo) Log Switching Uncertainty VER =============

 40.001  LABEL        LOG_SWITCH

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT.

 40.002  RSLT         =
 40.003  HEAD         {LOG SCALE SWITCHING UNCERTAINTY}
 40.004  TARGET       -p
 40.005  IEEE         IP;SNGLS;

 40.006  IF           ZCMPI(@ModelNum, "8566B")
 40.007  IEEE         CF 100MZ;
 40.008  ELSE
 40.009  IEEE         CF 20MZ;
 40.010  ENDIF

 40.011  HEAD         -2 dB/DIV Setting: 1 dB/DIV (Reference)
 40.012  IEEE         SP 100KZ;RB 30KZ;RL -8DM;LG 1DM;
 40.013  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 40.014  IEEE         MKRL;
 40.015  IEEE         MKA?;[I]
 40.016  MATH         RefSet = MEM

 40.017  HEAD         -2 dB/DIV Setting: 2 dB/DIV
 40.018  TSET         TDESC = 2 dB/DIV
# Set UUT to 2 dB/div.
 40.019  IEEE         LG 2DM;
 40.020  TARGET       -m
 40.021  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 40.022  IEEE         MKA?;[I]
 40.023  MATH         MEM = MEM - RefSet
# UUT log fidelity (incremental) accuracy: ±0.1 dB/dB.
 40.024  ACC          dB             0.1U                                  +DW
 40.025  MEMCX        0.00dB         0.5U

 41.001  HEAD         -2 dB/DIV Setting: 5 dB/DIV
 41.002  TSET         TDESC = 5 dB/DIV
 41.003  IEEE         LG 5DM;
 41.004  TARGET       -m
 41.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 41.006  IEEE         MKA?;[I]
 41.007  MATH         MEM = MEM - RefSet
 41.008  ACC          dB             0.1U                                  +DW
 41.009  MEMCX        0.00dB         0.5U

 42.001  HEAD         -2 dB/DIV Setting: 10 dB/DIV
 42.002  TSET         TDESC = 10 dB/DIV
 42.003  IEEE         LG 10DM;
 42.004  TARGET       -m
 42.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 42.006  IEEE         MKA?;[I]
 42.007  MATH         MEM = MEM - RefSet
 42.008  ACC          dB             0.1U                                  +DW
 42.009  MEMCX        0.00dB         0.5U

 43.001  HEAD         -2
 43.002  IEEE         IP;
 43.003  HEAD

 43.004  END
