﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8566B/68B Set Reference Level (dBm) /9640
INSTRUMENT:            Sub HP 8566B/68B Measure Frequency Response /9640
INSTRUMENT:            Sub HP 8566B/68B Record Frequency Response /9640
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       143
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        HP 8566B, 8568B
#
# Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
# Subprocedures:
#        Sub HP 8566B/68B Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_REF_LEVEL                PSUBI("Set Reference")
  1.002  JMPL         MEAS_FREQ_RESPONSE           PSUBI("Measure")
  1.003  JMPL         RECORD_FREQ_RESPONSE         PSUBI("Record")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

  1.006  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B Set Reference Level (dBm) /9640 ==================

# The necessary parameters for this procedure are passed from the calling
# procedure as follows:
#
#    @Gap      : The desired size of the setting aperture.
#    @RefLvl   : The desired reference level as measured by the UUT.
#    @9640Freq : The 9640A output frequency
#    @9640Lvl  : The 9640A output level required to generate the specified
#                reference level.
#
# Example:
# 1.001  MATH         @9640Freq = 600E+6; @9640Lvl = 0; @RefLvl = 0
# 1.002  MATH         @Gap = 0.05
# 1.003  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /9640
#
# Note: The @RefLvl and @9640Lvl values MUST be stated in dBm.
#

  2.001  LABEL        SET_REF_LEVEL

  2.002  IEEE         MKA?;[I]

  2.003  WHILE        (MEM <= (@RefLvl - @Gap)) || (MEM >= (@RefLvl + @Gap))
  2.004  MATH         Delta = (@RefLvl - MEM)
  2.005  MATH         @9640Lvl = @9640Lvl + Delta
  2.006  9640         OutputImp = 50 Ohms; Freq = [V @9640Freq] Hz
  2.006  9640         +Level = [V @9640Lvl] dBm
  2.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.008  IEEE         MKA?;[I]
  2.009  ENDW

  2.010  END

  2.011  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B Measure Frequency Response /9640 =================

# The necessary parameters for this procedure are passed from the calling
# procedure as follows:
#
#    @TestFreq : The 9640A output/UUT center frequency
#    @TestLvl  : The 9640A output level required to generate the desired
#                reference level.
#
# Example:
# 1.001  MATH         @TestFreq = 600E+6; @TestLvl = 0
# 1.003  CALL         Sub HP 8566B/68B Measure Frequency Response /9640
#
# Note: The @TestLvl value MUST be stated in dBm.
#
# The maximum/minimum peak level values and their associated frequencies are
# stored for use during evaluation in the calling procedure.
#

  3.001  LABEL        MEAS_FREQ_RESPONSE

  3.002  IEEE         CF [V @9640Freq];
  3.003  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutpImp = 50 Ohms
  3.003  9640         +Level = [V @9640Lvl] dBm; Freq = [V @9640Freq] Hz
  3.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  3.005  IEEE         MKA?;[I]
  3.006  MATH         @PeakLevel = MEM

# Store peak level/frequency values.
  3.007  IF           @PeakLevel > @PosPeak
  3.008  MATH         @PosPeak = @PeakLevel; @PosFreq = @TestFreq
  3.009  ELSEIF       @PeakLevel < @NegPeak
  3.010  MATH         @NegPeak = @PeakLevel; @NegFreq = @TestFreq
  3.011  ENDIF

  3.012  END

  3.013  EVAL   Increment Step Number

# ====== Sub HP 8566B/68B Record Frequency Response /9640 ==================

  4.001  LABEL        RECORD_FREQ_RESPONSE

  4.002  9640         ExtRefFrequency = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.002  9640         +Level = [V @9640Lvl] dBm; Freq = [V @9640Freq] Hz
  4.003  IEEE         CF [V @9640Freq]HZ;
  4.004  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.005  IEEE         MKA?;[I]
  4.006  MATH         @PeakLevel = MEM

# Store peak values.
  4.007  IF           @PeakLevel > @PosPeak
  4.008  MATH         @PosPeak = @PeakLevel; @PosFreq = @9640Freq
  4.009  ELSEIF       @PeakLevel < @NegPeak
  4.010  MATH         @NegPeak = @PeakLevel; @NegFreq = @9640Freq
  4.011  ENDIF

  4.012  END
