﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8566B/68B Set Reference Level (dBm) /HFSG
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       72
CONFIGURATION:         HF Signal Generator
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        8566B, 8568B
#
# Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
# Subprocedures:
#        Sub Apply /HFSG
#        Sub HP 8566B/68B Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
# The necessary parameters for this procedure are passed from the calling
# procedure as follows:
#
#    @RefLvl     : The desired reference level as measured by the UUT.
#    @TestLvl    : The HFSG output level required to generate the specified
#                  reference level.
#    @Gap        : The desired size of the setting aperture.
#
#                (The HFSG output frequency is previously set in the calling
#                 procedure.)
#
# Example:
# 1.002  MATH         @RefLvl = -10; @TestLvl = -4; @Gap = 0.05
# 1.003  CALL         Sub 8566B/68B Set Reference Level (dBm) /HFSG
#
# Note: The @RefLvl and @TestLvl values MUST be stated in dBm.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@HFSG]
  1.003  ENDIF

  1.004  IEEE         MKA?;[I]

  1.005  WHILE        (MEM <= (@RefLvl - @Gap)) || (MEM >= (@RefLvl + @Gap))
  1.006  MATH         Delta = (@RefLvl - MEM)
  1.007  MATH         @TestLvl = @TestLvl + Delta
  1.008  MATH         @HFSG_Ampl = @TestLvl & "dBm"
  1.009  CALL         Sub Apply /HFSG
  1.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  1.011  IEEE         MKA?;[I]
  1.012  ENDW

  1.013  END
