﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8568B (6 mo) Cal Output Accuracy VER /4418
INSTRUMENT:            Sub HP 8568B (6 mo) 1st LO Output VER /4418
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       134
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8482A on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8568B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M4418  F32   8482A
  1.003  ENDIF

  1.004  JMPL         CAL_OUT                      PSUBI("Cal Output")
  1.005  JMPL         LO_OUT                       PSUBI("1st LO")
  1.006  DISP         Called {Subprocedure Not Found}!
  1.007  END

  1.008  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Cal Output Accuracy VER /4418 =================

  2.001  LABEL        CAL_OUT

  2.002  RSLT         =
  2.003  HEAD         {CALIBRATOR AMPLITUDE ACCURACY TEST}
  2.004  TARGET       -p
  2.005  TSET         TDESC = -10 dBm @ 20 MHz
  2.006  HEAD         -2 CAL OUTPUT: 20 MHz, -10 dBm
  2.007  DISP         Connect the UUT CAL OUTPUT 20 MHz, -10 dBm to the
  2.007  DISP         8482A power sensor input.
  2.007  DISP
  2.007  DISP         Use a precision Type N(f) to BNC(m) adapter at the
  2.007  DISP         power sensor input to facilitate the connection.
  2.008  TARGET       -m
  2.009  4418         -10.0D                       20MH              RF N  CH1
  2.010  MEMC         -10.0dBm       0.3U

  3.001  HEAD         -2
  3.002  4418         *                                                 S

  3.003  DISP         Disconnect the Power Sensor and adapter from the UUT
  3.003  DISP         CAL OUTPUT. Leave the adapter connected to the sensor
  3.003  DISP         for the next test.

  3.004  HEAD

  3.005  END

  3.006  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) 1st LO Output VER /4418 =======================

  4.001  LABEL        LO_OUT

  4.002  RSLT         =
  4.003  HEAD         {1st LO OUTPUT AMPLITUDE TEST}
  4.004  TARGET       -p

  4.005  DISP         Remove the 50 Ohm termination from the UUT 1ST LO OUT
  4.005  DISP         (J2) on the RF section (lower) rear panel. Connect the
  4.005  DISP         power sensor, via a Type N (f) to BNC (m) adapter, in
  4.005  DISP         its place.
  4.005  DISP
  4.005  DISP         [32]                     NOTE
  4.005  DISP         The use of a low-quality cable and/or adapter may
  4.005  DISP         adversely degrade the measurement results obtained
  4.005  DISP         during this test. Ensure a precision Type N (f) to
  4.005  DISP         BNC (m) adapter is used, directly connected to the
  4.005  DISP         UUT jack.

  4.006  DISP         The next routine operator intervention occurs in
  4.006  DISP         approximately 3½ minutes...

  4.007  IEEE         IP;SNGLS;
  4.008  IEEE         CF 0MZ;SP 0HZ;
  4.009  MATH         TestFreq = 2E+9; CentFreq = 0; MinLvl = 20
  4.010  M4418  F16   8482A

  4.011  WHILE        CentFreq < 1.5E+9
  4.012  MATH         Freq = FMT((TestFreq / 1E+9), "%4.2f")
  4.013  HEAD         -2 1st LO OUT Frequency: [V Freq] GHz
  4.014  MATH         MEM = TestFreq
  4.015  4418         4.00D                        H                 RF N  CH1

  4.016  IF           MEM < MinLvl
  4.017  MATH         MinLvl = FMT(MEM, "%4.2f")
  4.018  MATH         MinFreq = FMT((TestFreq / 1E+9), "%4.2f")
  4.019  ENDIF

  4.020  MATH         CentFreq = CentFreq + 10E+6; TestFreq = CentFreq + 2E+9
  4.021  IEEE         CF [V CentFreq]HZ;
  4.022  ENDW

  4.023  EVAL   -e (MinLvl > 4):[32][V MinLvl] dBm minimum, @ [V MinFreq] GHz

  5.001  HEAD         -2
  5.002  4418         *                                                 S
  5.003  DISP         Replace the 50 Ohm termination on the UUT 1ST LO OUT.
  5.004  IEEE         IP;
  5.005  HEAD

  5.006  END
