﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8568B (6 mo) Intermod Distortion VER /9640,HFSG
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       171
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
CONFIGURATION:         HF Signal Generator
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8568B
#
#  Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Reset /HFSG
#        Sub Apply /HFSG
#        Sub HP 8566B/68B Take Sweep (MKPK)
#        Sub HP 8566B/68B Set Reference Level (dBm) /9640
#        Sub HP 8566B/68B Set Reference Level (dBm) /HFSG
#
#  Required Files:
#        8568_intermod_9640_hfsg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 1 - 1500 MHz, Output Tracking <0.2 dB, HP/Agilent
#         11667A or equivalent
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@HFSG]
  1.003  ENDIF

  1.004  HEAD         SPURIOUS RESPONSES (30 MHz Inputs)
  1.005  RSLT         =
  1.006  RSLT         =Intermodulation Distortion
  1.007  TARGET       -p
  1.008  TSET         TDESC = TOI, 1 MHz apart, USB
  1.009  IEEE         IP;SNGLS;

  1.010  CALL         Sub Reset /HFSG

  1.011  PIC          8568_intermod_9640_hfsg.jpg
  1.012  STD          Agilent 11667A

  1.013  DISP         The next routine operator intervention occurs
  1.013  DISP         in approximately 10 minutes...

  1.014  HEAD         -2 Set UUT Level (9640A): -20 dBm @ 29 MHz
  1.015  9640         +Freq = 29 MHz; Level = -14 dBm; OutputImp = 50 Ohms
  1.016  IEEE         CF 29MZ;SP 500HZ;RL -20DM;
  1.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  1.018  MATH         @9640Freq = 29E+6; @9640Lvl = -14; @RefLvl = -20
  1.019  MATH         @Gap = 0.2
  1.020  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /9640
  1.021  HEAD         -2 Set UUT Level ([V @HFSG_DevName]): -20 dBm @ 30 MHz
  1.022  MATH         @HFSG_Freq = "30MHz"; @HFSG_Ampl = "-14dBm"
  1.023  CALL         Sub Apply /HFSG
  1.024  IEEE         CF 30MZ;
  1.025  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  1.026  MATH         @TestLvl = -14
  1.027  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /HFSG
  1.028  IEEE         MKD;CF 31MZ;
  1.029  HEAD         -2 TOI Distortion, 1 MHz separation, Upper Sideband
  1.030  TARGET       -m
  1.031  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  1.032  IEEE         MKA?;[I]
# ACC taken from UUT log fidelity, >= 30 Hz RBW, 0 to 80 dB from ref level.
  1.033  ACC    -80   dBc            1.0U
  1.034  MEMCX        -80.0dBc       +0.0U -40.0U

  2.001  HEAD         -2 TOI Distortion, 1 MHz separation, Lower Sideband
  2.002  TSET         TDESC = TOI, 1 MHz apart, LSB
  2.003  IEEE         CF 28MZ;
  2.004  9640         Freq = 29 MHz; OutputImp = 50 Ohms
  2.004  9640         +Level = [V @9640Lvl] dBm
# HFSG remains at 30 MHz for the remainder of the procedure...
  2.005  CALL         Sub Apply /HFSG
  2.006  TARGET       -m
  2.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.008  IEEE         MKA?;[I]
  2.009  ACC    -80   dBc            1.0U
  2.010  MEMCX        -80.0dBc       +0.0U -40.0U

  3.001  HEAD         -2 Set UUT Level (9640A): -20 dBm @ 29.99 MHz
  3.002  TSET         TDESC = TOI, 10 kHz apart, USB
  3.003  IEEE         MKOFF ALL;CF 29.99MZ;
  3.004  9640         Freq = 29.99 MHz; OutputImp = 50 Ohms
  3.004  9640         +Level = [V @9640Lvl] dBm
  3.005  CALL         Sub Apply /HFSG
  3.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  3.007  MATH         @9640Freq = 29.99E+6
  3.008  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /9640
  3.009  IEEE         MKD;CF 30.01MZ;
  3.010  HEAD         -2 TOI Distortion, 10 kHz separation, Upper Sideband
  3.011  TARGET       -m
  3.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  3.013  IEEE         MKA?;[I]
  3.014  ACC    -70   dBc            1.0U
  3.015  MEMCX        -70.0dBc       +0.0U -50.0U

  4.001  HEAD         -2 TOI Distortion, 10 kHz separation, Lower Sideband
  4.002  TSET         TDESC = TOI, 10 kHz apart, LSB
  4.003  IEEE         CF 29.98MZ;
  4.004  9640         Freq = 29.99 MHz; OutputImp = 50 Ohms
  4.004  9640         +Level = [V @9640Lvl] dBm
  4.005  CALL         Sub Apply /HFSG
  4.006  TARGET       -m
  4.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.008  IEEE         MKA?;[I]
  4.009  ACC    -70   dBc            1.0U
  4.010  MEMCX        -70.0dBc       +0.0U -50.0U

  5.001  HEAD         -2 Set UUT Level (9640A): -33 dBm @ 29 MHz
  5.002  TSET         TDESC = SOI (f2 - f1)
  5.003  IEEE         MKOFF ALL;CF 29MZ;SP 500HZ;RL -33DM;
  5.004  9640         +Freq = 29 MHz; Level = -27 dBm; OutputImp = 50 Ohms
  5.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  5.006  MATH         @9640Freq = 29E+6; @9640Lvl = - 27; @RefLvl = -33
  5.007  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /9640
  5.008  HEAD         -2 Set UUT Level ([V @HFSG_DevName]): -33 dBm @ 30 MHz
  5.009  MATH         @HFSG_Ampl = "-27dBm"
  5.010  CALL         Sub Apply /HFSG
  5.011  IEEE         CF 30MZ;
  5.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  5.013  MATH         @TestLvl = -27
  5.014  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /HFSG
  5.015  IEEE         MKD;CF 1MZ;
  5.016  HEAD         -2 SOI, 30 MHz Input Signals, (f2 - f1)
  5.017  TARGET       -m
  5.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  5.019  IEEE         MKA?;[I]
  5.020  ACC    -75   dBc            1.0U
  5.021  MEMCX        -75.0dBc       +0.0U -45.0U

  6.001  HEAD         -2 SOI, 30 MHz Input Signals, (f2 + f1)
  6.002  TSET         TDESC = SOI (f1 + f2)
  6.003  IEEE         CF 59MZ;
  6.004  9640         Freq = 29 MHz; OutputImp = 50 Ohms
  6.004  9640         +Level = [V @9640Lvl] dBm
  6.005  CALL         Sub Apply /HFSG
  6.006  TARGET       -m
  6.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  6.008  IEEE         MKA?;[I]
  6.009  ACC    -75   dBc            1.0U
  6.010  MEMCX        -75.0dBc       +0.0U -45.0U

  7.001  HEAD         -2
  7.002  CALL         Sub Reset /HFSG
  7.003  9640         Reset
  7.004  IEEE         IP;
  7.005  HEAD

  7.006  END
