﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8568B (6 mo) RF Gain Uncertainty VER
INSTRUMENT:            Sub HP 8568B (6 mo) Log Switching Uncertainty VER
INSTRUMENT:            Sub HP 8568B (6 mo) Average Noise Level VER
INSTRUMENT:            Sub HP 8568B (6 mo) Residual Responses VER
INSTRUMENT:            Sub HP 8568B (6 mo) Residual FM VER
INSTRUMENT:            Sub HP 8568B (6 mo) Line-Related Sidebands VER
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       397
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8568B
#
#  Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub HP 8566B/68B Take Sweep (MKPK)
#        Sub HP 8566B/68B Take Sweep Only
#        Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
#        Sub HP 8566B/68B Command Complete
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        50 Ohm termination, Agilent 909A Option 012 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RF_GAIN                      PSUBI("RF Gain")
  1.002  JMPL         LOG_SWITCHING                PSUBI("Log Switching")
  1.003  JMPL         AVERAGE_NOISE                PSUBI("Noise")
  1.004  JMPL         RESIDUAL_RESPONSES           PSUBI("Residual Responses")
  1.005  JMPL         RESIDUAL_FM                  PSUBI("Residual FM")
  1.006  JMPL         LINE_SIDEBANDS               PSUBI("Line-Related")
  1.007  DISP         Called {Subprocedure Not Found}!
  1.008  END

  1.009  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) RF Gain Uncertainty VER =======================

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT
# INPUT 2, 100 kHz - 1.5 GHz (Type "N") connector.

  2.001  LABEL        RF_GAIN

  2.002  RSLT         =
  2.003  HEAD         {RF GAIN UNCERTAINTY TEST}
  2.004  TARGET       -p
  2.005  TSET         TDESC = 2nd LO Shift
  2.006  IEEE         IP;SNGLS;
  2.007  IEEE         CF 20MZ;SP 1MZ;RL -7DM;LG 1DM;RB 300KZ;
  2.008  TARGET       -m
  2.009  IEEE         MKOFF ALL;KSS;
  2.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
# Shift 5 MHz Second LO down.
  2.011  IEEE         KST;
  2.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.013  IEEE         MKD;
# Shift 5 MHz Second LO up.
  2.014  IEEE         KSU;
  2.015  ACC          0.00dB         0.10U                                 +DW
  2.016  TARGET       -m
  2.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.018  IEEE         MKA?;[I]
  2.019  MEMCX        0.00dB         1.00U

  3.001  HEAD         -2
  3.002  IEEE         IP;
  3.003  HEAD

  3.004  END

  3.005  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Log Switching Uncertainty VER =================

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT
# INPUT 2, 100 kHz - 1.5 GHz (Type "N") connector.

  4.001  LABEL        LOG_SWITCHING

  4.002  RSLT         =
  4.003  HEAD         {LOG SCALE SWITCHING UNCERTAINTY TEST}
  4.004  HEAD         -2 1 dB/DIV (Reference)
  4.005  TARGET       -p
  4.006  IEEE         IP;SNGLS;
  4.007  IEEE         CF 20MZ;SP 100KZ;RL -8DM;RB 30KZ;LG 1DM;
  4.008  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.009  IEEE         MKRL;
  4.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.011  IEEE         MKA?;[I]
  4.012  MATH         RefLvl = MEM

  4.013  HEAD         -2 2 dB/DIV
  4.014  TSET         TDESC = 2 dB/DIV
  4.015  IEEE         LG 2DM;
  4.016  ACC          0.00dB         0.10U                                 +DW
  4.017  TARGET       -m
  4.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.019  IEEE         MKA?;[I]
  4.020  MATH         MEM = MEM - RefLvl
  4.021  MEMCX        0.00dB         0.50U

  5.001  HEAD         -2 5 dB/DIV
  5.002  TSET         TDESC = 5 dB/DIV
  5.003  IEEE         LG 5DM;
  5.004  ACC          0.00dB         0.10U                                 +DW
  5.005  TARGET       -m
  5.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  5.007  IEEE         MKA?;[I]
  5.008  MATH         MEM = MEM - RefLvl
  5.009  MEMCX        0.00dB         0.50U

  6.001  HEAD         -2 10 dB/DIV
  6.002  TSET         TDESC = 10 dB/DIV
  6.003  IEEE         LG 10DM;
  6.004  ACC          0.00dB         0.10U                                 +DW
  6.005  TARGET       -m
  6.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  6.007  IEEE         MKA?;[I]
  6.008  MATH         MEM = MEM - RefLvl
  6.009  MEMCX        0.00dB         0.50U

  7.001  HEAD         -2
  7.002  IEEE         IP;
  7.003  HEAD

  7.004  END

  7.005  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Average Noise Level VER =======================

  8.001  LABEL        AVERAGE_NOISE

  8.002  RSLT         =
  8.003  HEAD         {AVERAGE NOISE LEVEL TEST}
  8.004  TARGET       -p
  8.005  IEEE         IP;SNGLS;

  8.006  DISP         Connect a Type "N" (male) 50 Ohm, DC to 1.5 GHz
  8.006  DISP         termination to the UUT INPUT 2, 100 kHz - 1.5 GHz.

  8.007  DISP         The next routine operator intervention occurs
  8.007  DISP         in approximately 34 minutes...

  8.008  HEAD         -2 Center Frequency: 501 Hz
  8.009  TSET         TDESC = 501 Hz
  8.010  IEEE         AT 0DB;CF 501HZ;SP 0HZ;RB 10HZ;RL -80DM;VB 1HZ;ST 20SC
  8.011  TARGET       -m
  8.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  8.013  IEEE         MKA?;[I]
  8.014  MATH         Max = MEM
  8.015  IEEE         MKMIN;MKA?;[I]
# MEM is average of peak displayed maximum and minimum.
  8.016  MATH         MEM = (Max + MEM) / 2
# UUT log fidelity cumulative error (max, 0 to 70 dB) at 10 Hz RBW is ±0.8 dB.
  8.017  ACC          dBm            0.8U                                  +DW
  8.018  MEMCX        -112dBm        -68U

  9.001  HEAD         -2 Center Frequency: 1.001 MHz
  9.002  TSET         TDESC = 1.001 MHz
  9.003  IEEE         CF 1.001MZ;
  9.004  TARGET       -m
  9.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  9.006  IEEE         MKA?;[I]
  9.007  MATH         Max = MEM
  9.008  IEEE         MKMIN;MKA?;[I]
  9.009  MATH         MEM = (Max + MEM) / 2
  9.010  ACC          dBm            0.8U                                  +DW
  9.011  MEMCX        -135dBm        -45U

 10.001  HEAD         -2 Center Frequency: 1501 MHz
 10.002  TSET         TDESC = 1501 MHz
 10.003  IEEE         CF 1501MZ;
 10.004  TARGET       -m
 10.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 10.006  IEEE         MKA?;[I]
 10.007  MATH         Max = MEM
 10.008  IEEE         MKMIN;MKA?;[I]
 10.009  MATH         MEM = (Max + MEM) / 2
 10.010  ACC          dBm            0.8U                                  +DW
 10.011  MEMCX        -135dBm        -45U

 11.001  HEAD         -2
 11.002  IEEE         IP;
 11.003  HEAD

 11.004  END

 11.005  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Residual Responses VER ========================

 12.001  LABEL        RESIDUAL_RESPONSES

# It is assumed that a Type "N" (male) 50 Ohm, DC to 1.5 GHz termination is
# already connected to the UUT INPUT 2, 100 kHz - 1.5 GHz (Type "N") jack.

 12.002  RSLT         =
 12.003  HEAD         {RESIDUAL RESPONSES TEST (500 Hz to 1500 MHz)}
 12.004  TARGET
 12.005  HEAD         -2 500 Hz to 50 MHz
 12.006  TSET         NTHROW = 0; NMEAS = 1
 12.007  MATH         MaxFreq = 1.5E+9; TestFreq = 25E+6; PeakResidual = -160
 12.008  IEEE         IP;SNGLS;
 12.009  IEEE         SP 50MZ;RL -60DM;CF 25MZ;VB 1KZ;RB 3KZ;AT 0DB;
 12.010  CALL         Sub HP 8566B/68B Take Sweep Only
# Since Input 2 is not specified below 100 kHz, begin peak search there.
 12.011  IEEE         MKF 100KZ;MKPK NR;MKA?;[I]
 12.012  MATH         PeakResidual = MEM; TestFreq = 70E+6

 12.013  WHILE        TestFreq < MaxFreq
 12.014  MATH         Freq = TestFreq / 1E+6
 12.015  HEAD         -2 Center Frequency: [V Freq] MHz
 12.016  IEEE         CF [V TestFreq]HZ;
 12.017  IEEE         [T35000]TS;DONE?;[I!]
 12.018  IEEE         MKPK HI;MKA?;[I]

 12.019  IF           MEM > PeakResidual

# If broadband reading appears marginal, verify amplitude in narrow bandwidth.
 12.020  IF           MEM >= -105.5
# Save current instrument state in register 1.
 12.021  MATH         @Cmd = "SAVES 1;"
 12.022  CALL         Sub HP 8566B/68B Command Complete
 12.023  IEEE         MKN;MKCF;
 12.024  IEEE         [T35000]TS;DONE?;[I!]
 12.025  IEEE         SP 1MZ;
 12.026  CALL         Sub HP 8566B/68B Take Sweep Only
 12.027  IEEE         MKA?;[I]

 12.028  IF           MEM > PeakResidual
 12.029  MATH         PeakResidual = MEM; PeakFreq = Freq
 12.030  ENDIF

# Recall previous instrument state from register 1.
 12.031  MATH         @Cmd = "RCLS 1;"
 12.032  CALL         Sub HP 8566B/68B Command Complete
 12.033  ELSE
 12.034  MATH         PeakResidual = MEM; PeakFreq = Freq
 12.035  ENDIF        ; MEM >= -105.5

 12.036  ENDIF        ; MEM > PeakResidual

 12.037  MATH         TestFreq = TestFreq + 45E+6
 12.038  ENDW

 12.039  MATH         MEM = PeakResidual; MEM1 = PeakFreq
 12.040  EVAL   -e MEM <= -105 :[32]Peak Residual: [MEM] dBm at [MEM1] MHz

 13.001  HEAD         -2
 13.002  IEEE         IP;
 13.003  HEAD

 13.004  END

 13.005  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Residual FM VER ===============================

 14.001  LABEL        RESIDUAL_FM

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT
# INPUT 2, 100 kHz - 1.5 GHz (Type "N") connector.

 14.002  RSLT         =
 14.003  HEAD         {RESIDUAL FM TEST}
 14.004  TARGET
 14.005  TSET         TDESC = 0 Hz; NTHROW = 0; NMEAS = 1
 14.006  IEEE         IP;SNGLS;
 14.007  MATH         @Cmd = "CF 20MZ;RL -10DM;SP 100HZ;RB 30HZ;LG 1DM;"
 14.008  CALL         Sub HP 8566B/68B Command Complete
 14.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 14.010  IEEE         MKF?;[I]
 14.011  MATH         CenterFreq = MEM
 14.012  MATH         @Cmd = "MKD;"
 14.013  CALL         Sub HP 8566B/68B Command Complete
 14.014  MATH         @Cmd = "MKTYPE AMP;MKA -5;"
 14.015  CALL         Sub HP 8566B/68B Command Complete
 14.016  MATH         @Cmd = "MKD;"
 14.017  CALL         Sub HP 8566B/68B Command Complete
 14.018  IEEE         MF;[I]
 14.019  MATH         CenterFreq = CenterFreq + (MEM / 2)
 14.020  MATH         @Cmd = "MKOFF ALL;"
 14.021  CALL         Sub HP 8566B/68B Command Complete
 14.022  MATH         @Cmd = "MKPK HI;"
 14.023  CALL         Sub HP 8566B/68B Command Complete
 14.024  MATH         @Cmd = "MKD;"
 14.025  CALL         Sub HP 8566B/68B Command Complete
 14.026  MATH         @Cmd = "MKTYPE AMP;MKA -4;"
 14.027  CALL         Sub HP 8566B/68B Command Complete
 14.028  IEEE         MKA?;[I]
 14.029  MATH         UpperAmp = MEM
 14.030  MATH         @Cmd = "MKD;"
 14.031  CALL         Sub HP 8566B/68B Command Complete
 14.032  IEEE         MF;[I]
 14.033  MATH         UpperFreq = MEM / 2
 14.034  MATH         @Cmd = "MKOFF ALL;"
 14.035  CALL         Sub HP 8566B/68B Command Complete
 14.036  MATH         @Cmd = "MKPK HI;"
 14.037  CALL         Sub HP 8566B/68B Command Complete
 14.038  MATH         @Cmd = "MKD;"
 14.039  CALL         Sub HP 8566B/68B Command Complete
 14.040  MATH         @Cmd = "MKTYPE AMP;MKA -6;"
 14.041  CALL         Sub HP 8566B/68B Command Complete
 14.042  IEEE         MKA?;[I]
 14.043  MATH         SlopeAmp = UpperAmp - MEM
 14.044  MATH         @Cmd = "MKD;"
 14.045  CALL         Sub HP 8566B/68B Command Complete
 14.046  IEEE         MF;[I]
 14.047  MATH         SlopeFreq = (MEM / 2) - UpperFreq
 14.048  MATH         Slope = SlopeAmp / SlopeFreq
 14.049  MATH         @Cmd = "MKOFF ALL;"
 14.050  CALL         Sub HP 8566B/68B Command Complete
 14.051  IEEE         CF [V CenterFreq]HZ;SP 0HZ;
 14.052  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 14.053  IEEE         MKD;
 14.054  IEEE         MKMIN;MKA?;[I]
 14.055  MATH         MEM = ABS(MEM / Slope)
# UUT specified frequency temperature stability during test.
 14.056  ACC    3     Hz             0.007P%
 14.057  MEMCX        0.0Hz          +3.0U

 15.001  IEEE         IP;
 15.002  HEAD

 15.003  END

 15.004  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Residual FM VER ===============================

 16.001  LABEL        LINE_SIDEBANDS

# It is assumed that the UUT CAL OUTPUT is already connected to the UUT
# INPUT 2, 100 kHz - 1.5 GHz (Type "N") connector.

 16.002  RSLT         =
 16.003  HEAD         {LINE-RELATED SIDEBANDS TEST}
 16.004  HEAD         -2 120 Hz Spur
 16.005  TARGET       -p
 16.006  TSET         TDESC = 120 Hz Spur
 16.007  IEEE         IP;SNGLS;
 16.008  IEEE         CF 20MZ;RL -10DM;SP 600HZ;
 16.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 16.010  IEEE         MKOFF ALL;VAVG 10;
 16.011  IEEE         [T180000]TS;DONE?;[I!]
 16.012  IEEE         MKPK HI;MKD;
 16.013  IEEE         MKF 120HZ;
# UUT log fidelity cumulative error (max) is ±1.5 dB.
 16.014  ACC          -85dBc         1.5U                                  +DW
 16.015  TARGET       -m
 16.016  IEEE         MKA?;[I]
 16.017  MEMCX        -85dBc         +0U -25U

 17.001  HEAD         -2 180 Hz Spur
 17.002  TSET         TDESC = 180 Hz Spur
 17.003  IEEE         MKF 180HZ;
 17.004  ACC          -85dBc         1.5U                                  +DW
 17.005  TARGET       -m
 17.006  IEEE         MKA?;[I]
 17.007  MATH         L[1] = ((-10) - MEM) * 0.1
 17.008  MEMCX        -85dBc         +0U -25U

 18.001  HEAD         -2 240 Hz Spur
 18.002  TSET         TDESC = 240 Hz Spur
 18.003  IEEE         MKF 240HZ;
 18.004  ACC          -85dBc         1.5U                                  +DW
 18.005  TARGET       -m
 18.006  IEEE         MKA?;[I]
 18.007  MATH         L[1] = ((-10) - MEM) * 0.1
 18.008  MEMCX        -85dBc         +0U -25U

 19.001  HEAD         -2
 19.002  IEEE         IP;
 19.003  HEAD

 19.004  END
