﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8568B (6 mo) Frequency Readout VER /9640
INSTRUMENT:            Sub HP 8568B (6 mo) Frequency Span VER /9640
INSTRUMENT:            Sub HP 8568B (6 mo) Input Atten Switching VER /9640
INSTRUMENT:            Sub HP 8568B (6 mo) Frequency Response VER /9640
INSTRUMENT:            Sub HP 8568B (6 mo) Harmonic Distortion VER /9640
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       35
NUMBER OF LINES:       672
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        8568B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub HP 8566B/68B Take Sweep (MKPK)
#        Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
#        Sub HP 8568B Frequency Response Test
#
#  Required Files:
#        8568_input_2_9640a.jpg
#        8568_input_1_9640a.jpg
#        8568_2nd_harmonic_9640a.jpg
#
#  Additional Equipment Required:
#        Filter, Low Pass, 300 MHz; Agilent 0955-0455 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CENTER_FREQ                  PSUBI("Readout")
  1.002  JMPL         FREQ_SPAN                    PSUBI("Span")
  1.003  JMPL         INPUT_SWITCHING              PSUBI("Atten Switching")
  1.004  JMPL         FREQ_RESPONSE                PSUBI("Response")
  1.005  JMPL         HARMONIC_DISTORTION          PSUBI("Harmonic")
  1.006  DISP         Called {Subprocedure Not Found}!
  1.007  END

  1.008  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Frequency Readout VER /9640 ===================

  2.001  LABEL        CENTER_FREQ

  2.002  RSLT         =
  2.003  HEAD         {CENTER FREQUENCY READOUT ACCURACY TEST}
  2.004  HEAD         -2 Center Frequency: 100 MHz (100 MHz Span)
  2.005  TARGET       -p
  2.006  PIC          8568_input_2_9640a.jpg

  2.007  DISP         The next routine operator intervention occurs in
  2.007  DISP         approximately 18½ minutes...

  2.008  TSET         TDESC = 100 MHz Span
  2.009  IEEE         IP;SNGLS;CF 100MZ;SP 100MZ;RL 0DM;AT 10DB;
  2.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  2.010  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
# Since the UUT and source are sync'd, uncertainty is the UUT resolution.
  2.011  ACC          100.0MHz       0.1U
  2.012  TARGET       -m
  2.013  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  2.014  IEEE         MKF?;[I]
  2.015  MATH         MEM = MEM / 1E+6
  2.016  MEMCX        100.0MHz       2.0U

  3.001  HEAD         -2 Center Frequency: 500 MHz (100 MHz Span)
  3.002  TSET         TDESC = 100 MHz Span
  3.003  IEEE         CF 500MZ;
  3.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  3.004  9640         +Freq = 500 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  3.005  ACC          500.0MHz       0.1U
  3.006  TARGET       -m
  3.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  3.008  IEEE         MKF?;[I]
  3.009  MATH         MEM = MEM / 1E+6
  3.010  MEMCX        500.0MHz       2.0U

  4.001  HEAD         -2 Center Frequency: 1000 MHz (100 MHz Span)
  4.002  TSET         TDESC = 100 MHz Span
  4.003  IEEE         CF 1000MZ;
  4.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  4.004  9640         +Freq = 1000 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  4.005  ACC          1000.0MHz      0.1U
  4.006  TARGET       -m
  4.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  4.008  IEEE         MKF?;[I]
  4.009  MATH         MEM = MEM / 1E+6
  4.010  MEMCX        1000.0MHz      2.0U

  5.001  HEAD         -2 Center Frequency: 100 MHz (10 MHz Span)
  5.002  TSET         TDESC = 10 MHz Span
  5.003  IEEE         CF 100MZ;SP 10MZ;
  5.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  5.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  5.005  ACC          100.00MHz      0.01U
  5.006  TARGET       -m
  5.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  5.008  IEEE         MKF?;[I]
  5.009  MATH         MEM = MEM / 1E+6
  5.010  MEMCX        100.00MHz      0.2U

  6.001  HEAD         -2 Center Frequency: 500 MHz (10 MHz Span)
  6.002  TSET         TDESC = 10 MHz Span
  6.003  IEEE         CF 500MZ;
  6.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  6.004  9640         +Freq = 500 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  6.005  ACC          500.00MHz      0.01U
  6.006  TARGET       -m
  6.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  6.008  IEEE         MKF?;[I]
  6.009  MATH         MEM = MEM / 1E+6
  6.010  MEMCX        500.00MHz      0.2U

  7.001  HEAD         -2 Center Frequency: 1000 MHz (10 MHz Span)
  7.002  TSET         TDESC = 10 MHz Span
  7.003  IEEE         CF 1000MZ;
  7.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  7.004  9640         +Freq = 1000 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  7.005  ACC          1000.00MHz     0.01U
  7.006  TARGET       -m
  7.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  7.008  IEEE         MKF?;[I]
  7.009  MATH         MEM = MEM / 1E+6
  7.010  MEMCX        1000.00MHz     0.2U

  8.001  HEAD         -2 Center Frequency: 1500 MHz (10 MHz Span)
  8.002  TSET         TDESC = 10 MHz Span
  8.003  IEEE         CF 1500MZ;
  8.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  8.004  9640         +Freq = 1500 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  8.005  ACC          1500.00MHz     0.01U
  8.006  TARGET       -m
  8.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  8.008  IEEE         MKF?;[I]
  8.009  MATH         MEM = MEM / 1E+6
  8.010  MEMCX        1500.00MHz     0.2U

  9.001  HEAD         -2 Center Frequency: 1000 MHz (1 MHz Span)
  9.002  TSET         TDESC = 1 MHz Span
  9.003  IEEE         CF 1000MZ;SP 1MZ;
  9.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
  9.004  9640         +Freq = 1000 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  9.005  ACC          1000.000MHz    0.001U
  9.006  TARGET       -m
  9.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
  9.008  IEEE         MKF?;[I]
  9.009  MATH         MEM = MEM / 1E+6
  9.010  MEMCX        1000.000MHz    0.02U

 10.001  HEAD         -2 Center Frequency: 1000 MHz (100 kHz Span)
 10.002  TSET         TDESC = 100 kHz Span
 10.003  IEEE         SP 100KZ;
 10.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 10.004  9640         +Freq = 1000 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 10.005  ACC          1000.0000MHz   0.0001U
 10.006  TARGET       -m
 10.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 10.008  IEEE         MKF?;[I]
 10.009  MATH         MEM = MEM / 1E+6
 10.010  MEMCX        1000.0000MHz   0.002U

 11.001  HEAD         -2 Center Frequency: 1000 MHz (10 kHz Span)
 11.002  TSET         TDESC = 10 kHz Span
 11.003  IEEE         SP 10KZ;
 11.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 11.004  9640         +Freq = 1000 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 11.005  ACC          1000.00000MHz  0.00001U
 11.006  TARGET       -m
 11.007  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 11.008  IEEE         MKF?;[I]
 11.009  MATH         MEM = MEM / 1E+6
 11.010  MEMCX        1000.00000MHz  0.0002U

 12.001  HEAD         -2
 12.002  9640         Reset
 12.003  IEEE         IP;
 12.004  HEAD

 12.005  END

 12.006  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Frequency Span VER /9640 ======================

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 13.001  LABEL        FREQ_SPAN

 13.002  RSLT         =
 13.003  HEAD         {FREQUENCY SPAN ACCURACY TEST}
 13.004  HEAD         -2 Span: 200 Hz (100 MHz Center Frequency)
 13.005  TARGET       -p
 13.006  TSET         TDESC = 200 Hz
 13.007  IEEE         IP;SNGLS;CF 100MZ;SP 200HZ;
 13.008  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 13.008  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
# Store Instrument Name in Model, Mode String in Mode.
 13.009  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
# Retrieve confidence from 9640A accuracy file.
 13.010  MATH         Conf = CONF("Fluke 9640A")
 13.011  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 13.012  IEEE         MKF?;[I]
 13.013  MATH         CenterFreq = MEM
 13.014  TARGET       -m
 13.015  MATH         TestFreq = CenterFreq - 90
 13.016  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 13.016  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
# Retrieve 9640A accuracy (assumes standard instrument) at first frequency.
 13.017  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 13.018  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 13.019  IEEE         MKD;
 13.020  MATH         TestFreq = CenterFreq + 90
 13.021  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 13.021  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 13.022  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 13.023  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 13.024  IEEE         MKF?;[I]
# Combine 9640A uncertainties and expand.
 13.025  MATH         L[1] = (RSS2(Span1Unc, Span2Unc)) * 2
 13.026  ACC          180.0Hz        L1U
 13.027  MEMCX        180.0Hz        10.0U

 14.001  HEAD         -2 Span: 100 kHz (100 MHz Center Frequency)
 14.002  TSET         TDESC = 100 kHz
 14.003  IEEE         MKOFF ALL;SP 100KZ;
 14.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 14.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 14.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 14.006  IEEE         MKF?;[I]
 14.007  MATH         CenterFreq = MEM
 14.008  TARGET       -m
 14.009  MATH         TestFreq = CenterFreq - 45E+3
 14.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 14.010  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 14.011  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 14.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 14.013  IEEE         MKD;
 14.014  MATH         TestFreq = CenterFreq + 45E+3
 14.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 14.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 14.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 14.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 14.018  IEEE         MKF?;[I]
 14.019  MATH         MEM = MEM / 1E+3
 14.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
 14.021  ACC          90.0kHz        L1U
 14.022  MEMCX        90.0kHz        5.0U

 15.001  HEAD         -2 Span: 100.1 kHz (100 MHz Center Frequency)
 15.002  TSET         TDESC = 100.1 kHz
 15.003  IEEE         MKOFF ALL;SP 100.1KZ;
 15.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 15.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 15.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 15.006  IEEE         MKF?;[I]
 15.007  MATH         CenterFreq = MEM
 15.008  TARGET       -m
 15.009  MATH         TestFreq = CenterFreq - 45.045E+3
 15.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 15.010  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 15.011  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 15.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 15.013  IEEE         MKD;
 15.014  MATH         TestFreq = CenterFreq + 45.045E+3
 15.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 15.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 15.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 15.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 15.018  IEEE         MKF?;[I]
 15.019  MATH         MEM = MEM / 1E+3
 15.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
 15.021  ACC          90.0900kHz     L1U
 15.022  MEMCX        90.0900kHz     5.0050U

 16.001  HEAD         -2 Span: 1 MHz (100 MHz Center Frequency)
 16.002  TSET         TDESC = 1 MHz
 16.003  IEEE         MKOFF ALL;SP 1MZ;
 16.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 16.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 16.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 16.006  IEEE         MKF?;[I]
 16.007  MATH         CenterFreq = MEM
 16.008  TARGET       -m
 16.009  MATH         TestFreq = CenterFreq - 450E+3
 16.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 16.010  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 16.011  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 16.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 16.013  IEEE         MKD;
 16.014  MATH         TestFreq = CenterFreq + 450E+3
 16.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 16.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 16.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 16.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 16.018  IEEE         MKF?;[I]
 16.019  MATH         MEM = MEM / 1E+6
 16.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
 16.021  ACC          0.900MHz       L1U
 16.022  MEMCX        0.900MHz       0.050U

 17.001  HEAD         -2 Span: 1.01 MHz (100 MHz Center Frequency)
 17.002  TSET         TDESC = 1.01 MHz
 17.003  IEEE         MKOFF ALL;SP 1.01MZ;
 17.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 17.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 17.005  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 17.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 17.007  IEEE         MKF?;[I]
 17.008  MATH         CenterFreq = MEM
 17.009  TARGET       -m
 17.010  MATH         TestFreq = CenterFreq - 454.5E+3
 17.011  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 17.011  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 17.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 17.013  IEEE         MKD;
 17.014  MATH         TestFreq = CenterFreq + 454.5E+3
 17.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 17.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 17.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 17.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 17.018  IEEE         MKF?;[I]
 17.019  MATH         MEM = MEM / 1E+6
 17.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
 17.021  ACC          0.909000MHz    L1U
 17.022  MEMCX        0.909000MHz    0.023230U

 18.001  HEAD         -2 Span: 20 MHz (100 MHz Center Frequency)
 18.002  TSET         TDESC = 20 MHz
 18.003  IEEE         MKOFF ALL;SP 20MZ;
 18.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 18.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 18.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 18.006  IEEE         MKF?;[I]
 18.007  MATH         CenterFreq = MEM
 18.008  TARGET       -m
 18.009  MATH         TestFreq = CenterFreq - 9E+6
 18.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 18.010  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 18.011  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 18.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 18.013  IEEE         MKD;
 18.014  MATH         TestFreq = CenterFreq + 9E+6
 18.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 18.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 18.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 18.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 18.018  IEEE         MKF?;[I]
 18.019  MATH         MEM = MEM / 1E+6
 18.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
 18.021  ACC          18.00000MHz    L1U
 18.022  MEMCX        18.00000MHz    0.46000U

 19.001  HEAD         -2 Span: 20.1 MHz (100 MHz Center Frequency)
 19.002  TSET         TDESC = 20.1 MHz
 19.003  IEEE         MKOFF ALL;SP 20.1MZ;
 19.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 19.004  9640         +Freq = 100 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 19.005  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 19.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 19.007  IEEE         MKF?;[I]
 19.008  MATH         CenterFreq = MEM
 19.009  TARGET       -m
 19.010  MATH         TestFreq = CenterFreq - 9.045E+6
 19.011  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 19.011  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 19.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 19.013  IEEE         MKD;
 19.014  MATH         TestFreq = CenterFreq + 9.045E+6
 19.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 19.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 19.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 19.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 19.018  IEEE         MKF?;[I]
 19.019  MATH         MEM = MEM / 1E+6
 19.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
 19.021  ACC          18.09000MHz    L1U
 19.022  MEMCX        18.09000MHz    0.46230U

 20.001  HEAD         -2 Span: 1.5 GHz (900 MHz Center Frequency)
 20.002  TSET         TDESC = 1.5 GHz
 20.003  IEEE         MKOFF ALL;CF 900MZ;SP 1.5GZ;
 20.004  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 20.004  9640         +Freq = 900 MHz; Level = 0 dBm; OutputImp = 50 Ohms
 20.005  CALL         Sub HP 8566B/68B Take Sweep (MKPK, MKCF)
 20.006  IEEE         MKF?;[I]
 20.007  MATH         CenterFreq = MEM
 20.008  TARGET       -m
 20.009  MATH         TestFreq = CenterFreq - 675E+6
 20.010  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 20.010  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 20.011  MATH         Span1Unc = ACCVF(Model, Mode, MEM1) / Conf
 20.012  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 20.013  IEEE         MKD;
 20.014  MATH         TestFreq = CenterFreq + 675E+6
 20.015  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutputImp = 50 Ohms
 20.015  9640         +Freq = [V TestFreq] Hz; Level = 0 dBm
 20.016  MATH         Span2Unc = ACCVF(Model, Mode, MEM1) / Conf
 20.017  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 20.018  IEEE         MKF?;[I]
 20.019  MATH         MEM = MEM / 1E+9
 20.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+9
 20.021  ACC          1.350000GHz    L1U
 20.022  MEMCX        1.350000GHz    0.034500U

 21.001  HEAD         -2
 21.002  9640         Reset
 21.003  IEEE         IP;
 21.004  HEAD

 21.005  END

 21.006  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Input Atten Switching VER /9640 ===============

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 22.001  LABEL        INPUT_SWITCHING

 22.002  RSLT         =
 22.003  HEAD         {INPUT ATTENUATOR SWITCHING UNCERTAINTY TEST}
 22.004  HEAD         -2 Input Attenuation: 10 dB (-50 dBm Reference Level)
 22.005  IEEE         IP;SNGLS;
 22.006  IEEE         CF 20MZ;SP 100KZ;RL -50DM;RB 30KZ;VB 100HZ;LG 1DM;
 22.007  9640         +Level = -52 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 22.008  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
 22.009  MATH         RefUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 22.010  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 22.011  IEEE         MKD;

 22.012  HEAD         -2 Input Attenuation: 20 dB (-40 dBm Reference Level)
 22.013  TSET         TDESC = 20 dB
 22.014  IEEE         AT 20DB;RL -40DM;
 22.015  9640         +Level = -42 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 22.016  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 22.017  MATH         L[1] = RSS2(RefUnc, TestUnc)
 22.018  ACC          0.00dB         L1U
 22.019  TARGET       -m
 22.020  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 22.021  IEEE         MKA?;[I]
 22.022  MEMCX  70    0.00dB         1.00U

 23.001  HEAD         -2 Input Attenuation: 30 dB (-30 dBm Reference Level)
 23.002  TSET         TDESC = 30 dB
 23.003  IEEE         AT 30DB;RL -30DM;
 23.004  9640         +Level = -32 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 23.005  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 23.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 23.007  ACC          0.00dB         L1U
 23.008  TARGET       -m
 23.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 23.010  IEEE         MKA?;[I]
 23.011  MEMCX  70    0.00dB         1.00U

 24.001  HEAD         -2 Input Attenuation: 40 dB (-20 dBm Reference Level)
 24.002  TSET         TDESC = 40 dB
 24.003  IEEE         AT 40DB;RL -20DM;
 24.004  9640         +Level = -22 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 24.005  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 24.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 24.007  ACC          0.00dB         L1U
 24.008  TARGET       -m
 24.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 24.010  IEEE         MKA?;[I]
 24.011  MEMCX  70    0.00dB         1.00U

 25.001  HEAD         -2 Input Attenuation: 50 dB (-10 dBm Reference Level)
 25.002  TSET         TDESC = 50 dB
 25.003  IEEE         AT 50DB;RL -10DM;
 25.004  9640         +Level = -12 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 25.005  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 25.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 25.007  ACC          0.00dB         L1U
 25.008  TARGET       -m
 25.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 25.010  IEEE         MKA?;[I]
 25.011  MEMCX  70    0.00dB         1.00U

 26.001  HEAD         -2 Input Attenuation: 60 dB (0 dBm Reference Level)
 26.002  TSET         TDESC = 60 dB
 26.003  IEEE         AT 60DB;RL 0DM;
 26.004  9640         +Level = -2 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 26.005  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 26.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 26.007  ACC          0.00dB         L1U
 26.008  TARGET       -m
 26.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 26.010  IEEE         MKA?;[I]
 26.011  MEMCX  70    0.00dB         1.00U

 27.001  HEAD         -2 Input Attenuation: 70 dB (+10 dBm Reference Level)
 27.002  TSET         TDESC = 70 dB
 27.003  IEEE         AT 70DB;RL 10DM;
 27.004  9640         +Level = 8 dBm; Freq = 20 MHz; OutputImp = 50 Ohms
 27.005  MATH         TestUnc = ACCV2(Model, Mode, MEM1, 20E+6)
 27.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 27.007  ACC          0.00dB         L1U
 27.008  TARGET       -m
 27.009  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 27.010  IEEE         MKA?;[I]
 27.011  MEMCX  70    0.00dB         1.00U

 28.001  HEAD         -2
 28.002  9640         Reset
 28.003  IEEE         IP;
 28.004  HEAD

 28.005  END

 28.006  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Frequency Response VER /9640 ==================

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 29.001  LABEL        FREQ_RESPONSE

 29.002  IF           NOT(@Input2)
 29.003  RSLT         =
 29.004  HEAD         {FREQUENCY RESPONSE TEST} (Input 1)
 29.005  ELSE
 29.006  HEAD         FREQUENCY RESPONSE TEST (Input 2)
 29.007  ENDIF

 29.008  IF           NOT(@Input2)
 29.009  RSLT         =
 29.010  RSLT         =Input 1
 29.011  TARGET       -p
 29.012  HEAD         -2 Input 1 (100 Hz to 500 MHz)
 29.013  TSET         TDESC = 100 Hz to 500 MHz
 29.014  IEEE         IP;SNGLS;
 29.015  PIC          8568_input_1_9640a.jpg

 29.016  DISP         The next routine operator intervention occurs in
 29.016  DISP         approximately 13½ minutes...

 29.017  IEEE         CF 20MZ;SP 20KZ;RB 3KZ;VB 3KZ;RL -7DM;LG 1DM;I1;
 29.018  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 29.018  9640         +Freq = 20 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 29.019  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 29.020  IEEE         MKD;
# @LF signifies low frequency extension is being tested in called sub.
 29.021  MATH         @LF = 1; @9640Lvl = -10; @PosPeak = 0; @NegPeak = 0
 29.022  MATH         @PosFreq = 0; @NegFreq = 0
 29.023  CALL         Sub HP 8568B Frequency Response Test
# ACC tolerance reflects 9640A amplitude error at worst-case.
 29.024  ACC          0.00dB         0.25U                                 +DW
 29.025  TARGET       -m
 29.026  MATH         MEM = @PosPeak - @NegPeak
 29.027  MEMCX        0.00dB         2.00U

 30.001  TSET         TDESC = 100 Hz to 1.5 GHz
 30.002  HEAD         -2 Input 1 (100 Hz to 1.5 GHz)
 30.003  MATH         @LF = 0
 30.004  CALL         Sub HP 8568B Frequency Response Test
 30.005  ACC          0.00dB         0.50U                                 +DW
 30.006  TARGET       -m
 30.007  MATH         MEM = @PosPeak - @NegPeak
 30.008  MEMCX        0.00dB         3.00U

 31.001  HEAD         -2
 31.002  IEEE         IP;
 31.003  HEAD

 31.004  END
 31.005  ENDIF

 31.006  RSLT         =
 31.007  RSLT         =Input 2
 31.008  TARGET       -p
 31.009  HEAD         -2 Input 2 (100 kHz to 1.5 GHz)
 31.010  TSET         TDESC = 100 kHz to 1.5 GHz
 31.011  IEEE         IP;SNGLS;
 31.012  IEEE         CF 20MZ;SP 20KZ;RB 3KZ;VB 3KZ;RL -7DM;LG 1DM;I2;
 31.013  9640         ExtRefFreq = 10 MHz; TimebaseAccOff
 31.013  9640         +Freq = 20 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 31.014  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 31.015  IEEE         MKD;
 31.016  MATH         @9640Lvl = -10; @PosPeak = 0; @NegPeak = 0
 31.017  MATH         @PosFreq = 0; @NegFreq = 0
 31.018  CALL         Sub HP 8568B Frequency Response Test
 31.019  ACC          0.00dB         0.50U                                 +DW
 31.020  TARGET       -m
 31.021  MATH         MEM = @PosPeak - @NegPeak
 31.022  MEMCX        0.00dB         2.00U

 32.001  HEAD         -2
 32.002  9640         Reset
 32.003  IEEE         IP;
 32.004  HEAD

 32.005  END

 32.006  EVAL   Increment Step Number

# ====== Sub HP 8568B (6 mo) Harmonic Distortion VER /9640 =================

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 33.001  LABEL        HARMONIC_DISTORTION

 33.002  RSLT         =
 33.003  HEAD         {SPURIOUS RESPONSES TEST}
 33.004  RSLT         =
 33.005  RSLT         =Harmonic Distortion
 33.006  TARGET       -p
 33.007  TSET         TDESC = 2nd Harmonic
 33.008  IEEE         IP;SNGLS;
 33.009  PIC          8568_2nd_harmonic_9640a.jpg
 33.010  IEEE         CF 280MZ;SP 10KZ;RL -20DM;
 33.011  HEAD         -2 Reference Set
 33.012  9640         +Level = -20 dBm; Freq = 280 MHz; OutpImp = 50 Ohms
 33.013  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 33.014  IEEE         MKA?;[I]
 33.015  MATH         @9640Freq = 280E+6; @9640Lvl = -20; @RefLvl = -20
 33.016  MATH         @Gap = 0.05
 33.017  CALL         Sub HP 8566B/68B Set Reference Level (dBm) /9640
 33.018  HEAD         -2 Second Harmonic: 560 MHz
 33.019  IEEE         MKD;
 33.020  IEEE         CF 560MZ;
# UUT log fidelity cumulative error (max) is ±1.5 dB.
 33.021  ACC          -70.0dBc       1.5U                                  +DW
 33.022  TARGET       -m
 33.023  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 33.024  IEEE         MKA?;[I]
# Upper limit is specification; lower limit is bottom of display, relative to
# UUT reference level.
 33.025  MEMCX        -70.0dBc       +0.0U -50.0U

 34.001  TSET         TDESC = 3rd Harmonic
 34.002  MATH         @9640Lvl = @9640Lvl - 10
 34.003  9640         OutputImpedance = 50 Ohms
 34.003  9640         +Level = [V @9640Lvl] dBm; Freq = 280 MHz
 34.004  HEAD         -2 Reference Set
 34.005  IEEE         MKOFF ALL;CF 280MZ;RL -30DM;
 34.006  CALL         Sub HP 8566B/68B Take Sweep (MKPK)
 34.007  HEAD         -2 Third Harmonic: 840 MHz
 34.008  IEEE         MKD;
 34.009  IEEE         CF 840MZ;
 34.010  ACC          -75.0dBc       1.5U                                  +DW
 34.011  TARGET       -m
 34.012  CALL         Sub HP 8566B/68B Take Sweep Only
 34.013  IEEE         MKA?;[I]
 34.014  MEMCX        -75.0dBc       +0.0U -55.0U

 35.001  HEAD         -2
 35.002  9640         Reset
 35.003  IEEE         IP;
 35.004  HEAD

 35.005  END
