﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8568B Frequency Response Test
DATE:                  2009-04-23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       137
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        HP 8568B
#
#  Compatibility:
#        MET/CAL 7.2 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub HP 8566B/68B Record Frequency Response /9640
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(@Input2)

  1.002  IF           @LF
  1.003  MATH         @9640Freq = 100
  1.004  HEAD         -2 Center Frequency: 100 Hz
  1.005  IEEE         SP 100HZ;RB 30HZ;VB 30HZ;

  1.006  WHILE        @9640Freq < 10E+3
  1.007  CALL         Sub HP 8566B/68B Record Frequency Response /9640

  1.008  IF           @9640Freq < 1E+3
  1.009  MATH         @9640Freq = @9640Freq + 100
  1.010  MATH         TestFreq = @9640Freq
  1.011  HEAD         -2 Center Frequency: [V TestFreq] Hz
  1.012  ELSE
  1.013  MATH         @9640Freq = @9640Freq + 1E+3
  1.014  MATH         TestFreq = @9640Freq / 1E+3
  1.015  HEAD         -2 Center Frequency: [V TestFreq] kHz
  1.016  ENDIF

  1.017  ENDW

  1.018  IEEE         SP 300HZ;RB 100HZ;VB 100HZ;
  1.019  HEAD         -2 Center Frequency: [V TestFreq] kHz

  1.020  WHILE        @9640Freq < 100E+3
  1.021  CALL         Sub HP 8566B/68B Record Frequency Response /9640
  1.022  MATH         @9640Freq = @9640Freq + 10E+3
  1.023  MATH         TestFreq = @9640Freq / 1E+3
  1.024  HEAD         -2 Center Frequency: [V TestFreq] kHz
  1.025  ENDW

  1.026  IEEE         SP 20KZ;RB 3KHZ;VB 3KHZ;
  1.027  HEAD         -2 Center Frequency: [V TestFreq] kHz

  1.028  WHILE        @9640Freq <= 500E+6
  1.029  CALL         Sub HP 8566B/68B Record Frequency Response /9640

  1.030  IF           @9640Freq < 1E+6
  1.031  MATH         @9640Freq = @9640Freq + 100E+3
  1.032  MATH         TestFreq = @9640Freq / 1E+3
  1.033  HEAD         -2 Center Frequency: [V TestFreq] kHz
  1.034  ELSEIF       @9640Freq < 10E+6
  1.035  MATH         @9640Freq = @9640Freq + 1E+6
  1.036  MATH         TestFreq = @9640Freq / 1E+6
  1.037  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.038  ELSEIF       @9640Freq < 100E+6
  1.039  MATH         @9640Freq = @9640Freq + 10E+6
  1.040  MATH         TestFreq = @9640Freq / 1E+6
  1.041  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.042  ELSE
  1.043  MATH         @9640Freq = @9640Freq + 50E+6
  1.044  MATH         TestFreq = @9640Freq / 1E+6
  1.045  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.046  ENDIF

  1.047  ENDW

  1.048  ELSE

  1.049  WHILE        @9640Freq <= 1500E+6
  1.050  MATH         TestFreq = @9640Freq / 1E+6
  1.051  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.052  CALL         Sub HP 8566B/68B Record Frequency Response /9640
  1.053  MATH         @9640Freq = @9640Freq + 50E+6
  1.054  ENDW

  1.055  ENDIF

  1.056  ELSE

  1.057  MATH         @9640Freq = 100E+3
  1.058  HEAD         -2 Center Frequency: 100 kHz

  1.059  WHILE        @9640Freq <= 1500E+6
  1.060  CALL         Sub HP 8566B/68B Record Frequency Response /9640

  1.061  IF           @9640Freq < 1E+6
  1.062  MATH         @9640Freq = @9640Freq + 100E+3
  1.063  MATH         TestFreq = @9640Freq / 1E+3
  1.064  HEAD         -2 Center Frequency: [V TestFreq] kHz
  1.065  ELSEIF       @9640Freq < 10E+6
  1.066  MATH         @9640Freq = @9640Freq + 1E+6
  1.067  MATH         TestFreq = @9640Freq / 1E+6
  1.068  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.069  ELSEIF       @9640Freq < 100E+6
  1.070  MATH         @9640Freq = @9640Freq + 10E+6
  1.071  MATH         TestFreq = @9640Freq / 1E+6
  1.072  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.073  ELSE
  1.074  MATH         @9640Freq = @9640Freq + 50E+6
  1.075  MATH         TestFreq = @9640Freq / 1E+6
  1.076  HEAD         -2 Center Frequency: [V TestFreq] MHz
  1.077  ENDIF

  1.078  ENDW

  1.079  ENDIF

  1.080  END
